(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     39894,       1684]*)
(*NotebookOutlinePosition[     44433,       1818]*)
(*  CellTagsIndexPosition[     43451,       1787]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["( * )", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", 
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Conclusion"],
  ","
}], "Conclusion",
  CellTags->" * "],

Cell[CellGroupData[{

Cell["under the assumptions:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["( *0)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", "0"}], "=", "0"}], ")"}]}]], 
    "Assumption"],
  ","
}], "Assumption",
  CellTags->" *0"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["( * ^+)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", 
              SuperscriptBox[
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"]}], "=", 
            RowBox[{
              RowBox[{
                StyleBox["m",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "*", 
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "+", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption"],
  ","
}], "Assumption",
  CellTags->" * ^+"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["( +0)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", "0"}], "=", 
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Assumption"],
  ","
}], "Assumption",
  CellTags->" +0"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["( + ^+)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              SuperscriptBox[
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"]}], "=", 
            SuperscriptBox[
              RowBox[{"(", 
                RowBox[{
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "+"]}], ")"}]}]], 
    "Assumption"],
  ","
}], "Assumption",
  CellTags->" + ^+"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(0+ )", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"0", "+", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Assumption"],
  ","
}], "Assumption",
  CellTags->"0+ "],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(^++ )", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              SuperscriptBox[
                StyleBox["m",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"], "+", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", 
            SuperscriptBox[
              RowBox[{"(", 
                RowBox[{
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "+"]}], ")"}]}]], 
    "Assumption"],
  ","
}], "Assumption",
  CellTags->"^++ "],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(( + ) + )", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["p",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "+", 
              StyleBox["p",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", 
            RowBox[{
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox["p",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}]}]}], ")"}]}]], "Assumption"],
  "."
}], "Assumption",
  CellTags->"( + ) + "]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
As there are several methods which can be applied, we have different choices \
to proceed with the proof.\
\>", "Text"],

Cell[CellGroupData[{

Cell["Alternative proof 1: failed", "Text"],

Cell[TextData[{
  "The proof of ",
  Cell[TextData[{
    "(",
    ButtonBox[" * ",
      ButtonData:>" * ",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  "fails.",
  "(The Simplifier was unable to transform the proof situation.)"
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Alternative proof 2: failed", "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "We",
  " try to ",
  "prove ",
  Cell[TextData[{
    "(",
    ButtonBox[" * ",
      ButtonData:>" * ",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " by  induction on ",
  Cell[BoxData[
      StyleBox["m",
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression"],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell["Induction Base: ", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["( * .IB)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"0", "*", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", 
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", "0"}]}], ")"}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->" * .IB"],

Cell[CellGroupData[{

Cell["\<\
As there are several methods which can be applied, we have different choices \
to proceed with the proof.\
\>", "Text"],

Cell[CellGroupData[{

Cell["Alternative proof 1: proved", "Text"],

Cell[TextData[{
  "We take in ",
  Cell[TextData[{
    "(",
    ButtonBox[" * .IB",
      ButtonData:>" * .IB",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " all variables arbitrary but fixed:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["( * .IB.F)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"0", "*", 
          StyleBox[\(n\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "=", 
        RowBox[{
          StyleBox[\(n\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "*", "0"}]}]], "Conclusion"]
}], "Conclusion",
  CellTags->" * .IB.F"],

Cell[CellGroupData[{

Cell["and simplify it.", "Text"],

Cell[CellGroupData[{

Cell["Simplification of the lhs term:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{"0", "*", 
        StyleBox[\(n\_1\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression"],
  "\[RightFloor]"
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Simplification of the rhs term:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_1\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "*", "0"}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" *0",
      ButtonData:>" *0",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      \(0\)], "Expression"],
  "\[RightFloor]"
}], "Text"]
}, Open  ]],

Cell["Hence, it is sufficient to prove:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["( * .IB.S)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"0", "*", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", "0"}], ")"}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->" * .IB.S"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "We",
  " ",
  "prove ",
  Cell[TextData[{
    "(",
    ButtonBox[" * .IB.S",
      ButtonData:>" * .IB.S",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " by  induction on ",
  Cell[BoxData[
      StyleBox["n",
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression"],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell["Induction Base: ", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["( * .IB.S.IB)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(0*0 = 0\)], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->" * .IB.S.IB"],

Cell[CellGroupData[{

Cell[TextData[{
  "A proof by simplification of ",
  Cell[TextData[{
    "(",
    ButtonBox[" * .IB.S.IB",
      ButtonData:>" * .IB.S.IB",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " works."
}], "Text"],

Cell[CellGroupData[{

Cell["Simplification of the lhs term:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      \(0*0\)], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" *0",
      ButtonData:>" *0",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      \(0\)], "Expression"],
  "\[RightFloor]"
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Simplification of the rhs term:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      \(0\)], "Expression"],
  "\[RightFloor]"
}], "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Induction Step:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  "Induction Hypothesis:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["( * .IB.S.IH)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"0", "*", 
          StyleBox[\(n\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "=", "0"}]], "Assumption"]
}], "Assumption",
  CellTags->" * .IB.S.IH"],

Cell[TextData[{
  Cell["", "Indent"],
  "Induction Conclusion:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["( * .IB.S.IS)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"0", "*", 
          SuperscriptBox[
            StyleBox[\(n\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"]}], "=", "0"}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->" * .IB.S.IS"],

Cell[CellGroupData[{

Cell[TextData[{
  "A proof by simplification of ",
  Cell[TextData[{
    "(",
    ButtonBox[" * .IB.S.IS",
      ButtonData:>" * .IB.S.IS",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " works."
}], "Text"],

Cell[CellGroupData[{

Cell["Simplification of the lhs term:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{"0", "*", 
        SuperscriptBox[
          StyleBox[\(n\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+"]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" * ^+",
      ButtonData:>" * ^+",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"0", "*", 
          StyleBox[\(n\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "+", "0"}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" * .IB.S.IH",
      ButtonData:>" * .IB.S.IH",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      \(0 + 0\)], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" +0",
      ButtonData:>" +0",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      \(0\)], "Expression"],
  "\[RightFloor]"
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Simplification of the rhs term:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      \(0\)], "Expression"],
  "\[RightFloor]"
}], "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Alternative proof 2: pending", "Text"],

Cell[TextData[Cell[TextData[{
  "Pending proof of ",
  Cell[TextData[{
    "(",
    ButtonBox[" * .IB",
      ButtonData:>" * .IB",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  "."
}], "Text"]], "Text",
  Background->GrayLevel[0.659998]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Induction Step:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  "Induction Hypothesis:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["( * .IH)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", 
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", 
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption"]
}], "Assumption",
  CellTags->" * .IH"],

Cell[TextData[{
  Cell["", "Indent"],
  "Induction Conclusion:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["( * .IS)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              SuperscriptBox[
                StyleBox[\(m\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"], "*", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", 
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", 
              SuperscriptBox[
                StyleBox[\(m\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"]}]}], ")"}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->" * .IS"],

Cell[CellGroupData[{

Cell["\<\
As there are several methods which can be applied, we have different choices \
to proceed with the proof.\
\>", "Text"],

Cell[CellGroupData[{

Cell["Alternative proof 1: failed", "Text"],

Cell[TextData[{
  "We take in ",
  Cell[TextData[{
    "(",
    ButtonBox[" * .IS",
      ButtonData:>" * .IS",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " all variables arbitrary but fixed:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["( * .IS.F)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SuperscriptBox[
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"], "*", 
          StyleBox[\(n\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "=", 
        RowBox[{
          StyleBox[\(n\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "*", 
          SuperscriptBox[
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"]}]}]], "Conclusion"]
}], "Conclusion",
  CellTags->" * .IS.F"],

Cell[CellGroupData[{

Cell["and simplify it.", "Text"],

Cell[CellGroupData[{

Cell["Simplification of the lhs term:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(m\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+"], "*", 
        StyleBox[\(n\_3\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression"],
  "\[RightFloor]"
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Simplification of the rhs term:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_3\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "*", 
        SuperscriptBox[
          StyleBox[\(m\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+"]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" * ^+",
      ButtonData:>" * ^+",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(n\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "*", 
          StyleBox[\(m\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "+", 
        StyleBox[\(n\_3\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" * .IH",
      ButtonData:>" * .IH",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(m\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "*", 
          StyleBox[\(n\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "+", 
        StyleBox[\(n\_3\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression"],
  "\[RightFloor]"
}], "Text"]
}, Open  ]],

Cell["Hence, it is sufficient to prove:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["( * .IS.S)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              SuperscriptBox[
                StyleBox[\(m\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"], "*", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", 
            RowBox[{
              RowBox[{
                StyleBox[\(m\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "*", 
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "+", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->" * .IS.S"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "We",
  " try to ",
  "prove ",
  Cell[TextData[{
    "(",
    ButtonBox[" * .IS.S",
      ButtonData:>" * .IS.S",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " by  induction on ",
  Cell[BoxData[
      StyleBox["n",
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression"],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell["Induction Base: ", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["( * .IS.S.IB)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SuperscriptBox[
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"], "*", "0"}], "=", 
        RowBox[{
          RowBox[{
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "*", "0"}], "+", "0"}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->" * .IS.S.IB"],

Cell[CellGroupData[{

Cell[TextData[{
  "We simplify ",
  Cell[TextData[{
    "(",
    ButtonBox[" * .IS.S.IB",
      ButtonData:>" * .IS.S.IB",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell["Simplification of the lhs term:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(m\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+"], "*", "0"}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" *0",
      ButtonData:>" *0",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      \(0\)], "Expression"],
  "\[RightFloor]"
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Simplification of the rhs term:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(m\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "*", "0"}], "+", "0"}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" * .IH",
      ButtonData:>" * .IH",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"0", "*", 
          StyleBox[\(m\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "+", "0"}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" +0",
      ButtonData:>" +0",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{"0", "*", 
        StyleBox[\(m\_1\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression"],
  "\[RightFloor]"
}], "Text"]
}, Open  ]],

Cell["Hence, it is sufficient to prove:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["( * .IS.S.IB.S)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"0", "=", 
        RowBox[{"0", "*", 
          StyleBox[\(m\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->" * .IS.S.IB.S"]
}, Open  ]],

Cell[TextData[{
  "The proof of ",
  Cell[TextData[{
    "(",
    ButtonBox[" * .IS.S.IB.S",
      ButtonData:>" * .IS.S.IB.S",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  "fails.",
  "(No applicable inference rule was found.)"
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Induction Step:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  "Induction Hypothesis:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["( * .IS.S.IH)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SuperscriptBox[
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"], "*", 
          StyleBox[\(n\_4\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "=", 
        RowBox[{
          RowBox[{
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "*", 
            StyleBox[\(n\_4\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "+", 
          StyleBox[\(n\_4\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption"]
}], "Assumption",
  CellTags->" * .IS.S.IH"],

Cell[TextData[{
  Cell["", "Indent"],
  "Induction Conclusion:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["( * .IS.S.IS)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SuperscriptBox[
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"], "*", 
          SuperscriptBox[
            StyleBox[\(n\_4\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"]}], "=", 
        RowBox[{
          RowBox[{
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "*", 
            SuperscriptBox[
              StyleBox[\(n\_4\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+"]}], "+", 
          SuperscriptBox[
            StyleBox[\(n\_4\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"]}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->" * .IS.S.IS"],

Cell[TextData[Cell[TextData[{
  "Pending proof of ",
  Cell[TextData[{
    "(",
    ButtonBox[" * .IS.S.IS",
      ButtonData:>" * .IS.S.IS",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  "."
}], "Text"]], "Text",
  Background->GrayLevel[0.659998]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Alternative proof 2: failed", "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "We",
  " try to ",
  "prove ",
  Cell[TextData[{
    "(",
    ButtonBox[" * .IS",
      ButtonData:>" * .IS",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " by  induction on ",
  Cell[BoxData[
      StyleBox["n",
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression"],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell["Induction Base: ", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["( * .IS.IB)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SuperscriptBox[
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"], "*", "0"}], "=", 
        RowBox[{"0", "*", 
          SuperscriptBox[
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"]}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->" * .IS.IB"],

Cell[CellGroupData[{

Cell[TextData[{
  "We simplify ",
  Cell[TextData[{
    "(",
    ButtonBox[" * .IS.IB",
      ButtonData:>" * .IS.IB",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell["Simplification of the lhs term:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(m\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+"], "*", "0"}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" *0",
      ButtonData:>" *0",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      \(0\)], "Expression"],
  "\[RightFloor]"
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Simplification of the rhs term:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{"0", "*", 
        SuperscriptBox[
          StyleBox[\(m\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+"]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" * ^+",
      ButtonData:>" * ^+",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"0", "*", 
          StyleBox[\(m\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "+", "0"}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" +0",
      ButtonData:>" +0",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{"0", "*", 
        StyleBox[\(m\_1\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression"],
  "\[RightFloor]"
}], "Text"]
}, Open  ]],

Cell["Hence, it is sufficient to prove:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["( * .IS.IB.S)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"0", "=", 
        RowBox[{"0", "*", 
          StyleBox[\(m\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->" * .IS.IB.S"]
}, Open  ]],

Cell[TextData[{
  "The proof of ",
  Cell[TextData[{
    "(",
    ButtonBox[" * .IS.IB.S",
      ButtonData:>" * .IS.IB.S",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  "fails.",
  "(No applicable inference rule was found.)"
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Induction Step:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  "Induction Hypothesis:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["( * .IS.IH)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SuperscriptBox[
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"], "*", 
          StyleBox[\(n\_5\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "=", 
        RowBox[{
          StyleBox[\(n\_5\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "*", 
          SuperscriptBox[
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"]}]}]], "Assumption"]
}], "Assumption",
  CellTags->" * .IS.IH"],

Cell[TextData[{
  Cell["", "Indent"],
  "Induction Conclusion:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["( * .IS.IS)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SuperscriptBox[
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"], "*", 
          SuperscriptBox[
            StyleBox[\(n\_5\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"]}], "=", 
        RowBox[{
          SuperscriptBox[
            StyleBox[\(n\_5\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"], "*", 
          SuperscriptBox[
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"]}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->" * .IS.IS"],

Cell[TextData[Cell[TextData[{
  "Pending proof of ",
  Cell[TextData[{
    "(",
    ButtonBox[" * .IS.IS",
      ButtonData:>" * .IS.IS",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  "."
}], "Text"]], "Text",
  Background->GrayLevel[0.659998]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"Microsoft Windows 3.0",
ScreenRectangle->{{0, 1024}, {0, 712}},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
WindowSize->{496, 604},
WindowMargins->{{252, Automatic}, {Automatic, 23}},
Visible->True,
Magnification->1.5,
StyleDefinitions -> "TheoremaProof.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  " \[RawStar] "->{
    Cell[1756, 53, 1162, 38, 56, "Conclusion",
      CellTags->" \[RawStar] "]},
  " \[RawStar]0"->{
    Cell[2984, 97, 605, 22, 54, "Assumption",
      CellTags->" \[RawStar]0"]},
  " \[RawStar] ^+"->{
    Cell[3592, 121, 1394, 44, 56, "Assumption",
      CellTags->" \[RawStar] ^+"]},
  " +0"->{
    Cell[4989, 167, 725, 25, 54, "Assumption",
      CellTags->" +0"]},
  " + ^+"->{
    Cell[5717, 194, 1320, 42, 56, "Assumption",
      CellTags->" + ^+"]},
  "0+ "->{
    Cell[7040, 238, 725, 25, 54, "Assumption",
      CellTags->"0+ "]},
  "^++ "->{
    Cell[7768, 265, 1318, 42, 56, "Assumption",
      CellTags->"^++ "]},
  "( + ) + "->{
    Cell[9089, 309, 1781, 54, 56, "Assumption",
      CellTags->"( + ) + "]},
  " \[RawStar] .IB"->{
    Cell[11884, 421, 772, 26, 54, "Conclusion",
      CellTags->" \[RawStar] .IB"]},
  " \[RawStar] .IB.F"->{
    Cell[13104, 472, 495, 17, 47, "Conclusion",
      CellTags->" \[RawStar] .IB.F"]},
  " \[RawStar] .IB.S"->{
    Cell[14637, 545, 610, 21, 54, "Conclusion",
      CellTags->" \[RawStar] .IB.S"]},
  " \[RawStar] .IB.S.IB"->{
    Cell[15705, 595, 194, 8, 47, "Conclusion",
      CellTags->" \[RawStar] .IB.S.IB"]},
  " \[RawStar] .IB.S.IH"->{
    Cell[16969, 670, 350, 12, 47, "Assumption",
      CellTags->" \[RawStar] .IB.S.IH"]},
  " \[RawStar] .IB.S.IS"->{
    Cell[17400, 689, 397, 14, 47, "Conclusion",
      CellTags->" \[RawStar] .IB.S.IS"]},
  " \[RawStar] .IH"->{
    Cell[20139, 834, 1041, 33, 54, "Assumption",
      CellTags->" \[RawStar] .IH"]},
  " \[RawStar] .IS"->{
    Cell[21261, 874, 1136, 36, 54, "Conclusion",
      CellTags->" \[RawStar] .IS"]},
  " \[RawStar] .IS.F"->{
    Cell[22845, 935, 819, 27, 47, "Conclusion",
      CellTags->" \[RawStar] .IS.F"]},
  " \[RawStar] .IS.S"->{
    Cell[26090, 1070, 1280, 40, 54, "Conclusion",
      CellTags->" \[RawStar] .IS.S"]},
  " \[RawStar] .IS.S.IB"->{
    Cell[27835, 1139, 587, 20, 47, "Conclusion",
      CellTags->" \[RawStar] .IS.S.IB"]},
  " \[RawStar] .IS.S.IB.S"->{
    Cell[30535, 1268, 361, 13, 47, "Conclusion",
      CellTags->" \[RawStar] .IS.S.IB.S"]},
  " \[RawStar] .IS.S.IH"->{
    Cell[31314, 1307, 954, 31, 47, "Assumption",
      CellTags->" \[RawStar] .IS.S.IH"]},
  " \[RawStar] .IS.S.IS"->{
    Cell[32349, 1345, 1083, 35, 47, "Conclusion",
      CellTags->" \[RawStar] .IS.S.IS"]},
  " \[RawStar] .IS.IB"->{
    Cell[34249, 1428, 584, 20, 47, "Conclusion",
      CellTags->" \[RawStar] .IS.IB"]},
  " \[RawStar] .IS.IB.S"->{
    Cell[36941, 1557, 357, 13, 70, "Conclusion",
      CellTags->" \[RawStar] .IS.IB.S"]},
  " \[RawStar] .IS.IH"->{
    Cell[37712, 1596, 821, 27, 70, "Assumption",
      CellTags->" \[RawStar] .IS.IH"]},
  " \[RawStar] .IS.IS"->{
    Cell[38614, 1630, 908, 30, 70, "Conclusion",
      CellTags->" \[RawStar] .IS.IS"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {" \[RawStar] ", 40631, 1705},
  {" \[RawStar]0", 40732, 1708},
  {" \[RawStar] ^+", 40834, 1711},
  {" +0", 40929, 1714},
  {" + ^+", 41014, 1717},
  {"0+ ", 41100, 1720},
  {"^++ ", 41184, 1723},
  {"( + ) + ", 41274, 1726},
  {" \[RawStar] .IB", 41375, 1729},
  {" \[RawStar] .IB.F", 41485, 1732},
  {" \[RawStar] .IB.S", 41597, 1735},
  {" \[RawStar] .IB.S.IB", 41712, 1738},
  {" \[RawStar] .IB.S.IH", 41829, 1741},
  {" \[RawStar] .IB.S.IS", 41947, 1744},
  {" \[RawStar] .IH", 42060, 1747},
  {" \[RawStar] .IS", 42169, 1750},
  {" \[RawStar] .IS.F", 42280, 1753},
  {" \[RawStar] .IS.S", 42392, 1756},
  {" \[RawStar] .IS.S.IB", 42509, 1759},
  {" \[RawStar] .IS.S.IB.S", 42630, 1762},
  {" \[RawStar] .IS.S.IH", 42751, 1765},
  {" \[RawStar] .IS.S.IS", 42870, 1768},
  {" \[RawStar] .IS.IB", 42988, 1771},
  {" \[RawStar] .IS.IB.S", 43105, 1774},
  {" \[RawStar] .IS.IH", 43222, 1777},
  {" \[RawStar] .IS.IS", 43337, 1780}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 22, 0, 47, "Text"],
Cell[1756, 53, 1162, 38, 56, "Conclusion",
  CellTags->" \[RawStar] "],

Cell[CellGroupData[{
Cell[2943, 95, 38, 0, 47, "Text"],
Cell[2984, 97, 605, 22, 54, "Assumption",
  CellTags->" \[RawStar]0"],
Cell[3592, 121, 1394, 44, 56, "Assumption",
  CellTags->" \[RawStar] ^+"],
Cell[4989, 167, 725, 25, 54, "Assumption",
  CellTags->" +0"],
Cell[5717, 194, 1320, 42, 56, "Assumption",
  CellTags->" + ^+"],
Cell[7040, 238, 725, 25, 54, "Assumption",
  CellTags->"0+ "],
Cell[7768, 265, 1318, 42, 56, "Assumption",
  CellTags->"^++ "],
Cell[9089, 309, 1781, 54, 56, "Assumption",
  CellTags->"( + ) + "]
}, Open  ]],

Cell[CellGroupData[{
Cell[10907, 368, 129, 3, 73, "Text"],

Cell[CellGroupData[{
Cell[11061, 375, 43, 0, 47, "Text"],
Cell[11107, 377, 254, 11, 73, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[11398, 393, 43, 0, 47, "Text"],

Cell[CellGroupData[{
Cell[11466, 397, 358, 18, 47, "Text"],

Cell[CellGroupData[{
Cell[11849, 419, 32, 0, 47, "Text"],
Cell[11884, 421, 772, 26, 54, "Conclusion",
  CellTags->" \[RawStar] .IB"],

Cell[CellGroupData[{
Cell[12681, 451, 129, 3, 73, "Text"],

Cell[CellGroupData[{
Cell[12835, 458, 43, 0, 47, "Text"],
Cell[12881, 460, 220, 10, 47, "Text"],
Cell[13104, 472, 495, 17, 47, "Conclusion",
  CellTags->" \[RawStar] .IB.F"],

Cell[CellGroupData[{
Cell[13624, 493, 32, 0, 47, "Text"],

Cell[CellGroupData[{
Cell[13681, 497, 47, 0, 47, "Text"],
Cell[13731, 499, 244, 9, 47, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[14012, 513, 47, 0, 47, "Text"],
Cell[14062, 515, 393, 18, 47, "Text"],
Cell[14458, 535, 112, 5, 47, "Text"]
}, Open  ]],
Cell[14585, 543, 49, 0, 47, "Text"],
Cell[14637, 545, 610, 21, 54, "Conclusion",
  CellTags->" \[RawStar] .IB.S"]
}, Open  ]],

Cell[CellGroupData[{
Cell[15284, 571, 361, 18, 47, "Text"],

Cell[CellGroupData[{
Cell[15670, 593, 32, 0, 47, "Text"],
Cell[15705, 595, 194, 8, 47, "Conclusion",
  CellTags->" \[RawStar] .IB.S.IB"],

Cell[CellGroupData[{
Cell[15924, 607, 220, 10, 47, "Text"],

Cell[CellGroupData[{
Cell[16169, 621, 47, 0, 47, "Text"],
Cell[16219, 623, 263, 14, 47, "Text"],
Cell[16485, 639, 112, 5, 47, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[16634, 649, 47, 0, 47, "Text"],
Cell[16684, 651, 112, 5, 47, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[16857, 663, 31, 0, 47, "Text"],
Cell[16891, 665, 75, 3, 47, "Text"],
Cell[16969, 670, 350, 12, 47, "Assumption",
  CellTags->" \[RawStar] .IB.S.IH"],
Cell[17322, 684, 75, 3, 47, "Text"],
Cell[17400, 689, 397, 14, 47, "Conclusion",
  CellTags->" \[RawStar] .IB.S.IS"],

Cell[CellGroupData[{
Cell[17822, 707, 220, 10, 47, "Text"],

Cell[CellGroupData[{
Cell[18067, 721, 47, 0, 47, "Text"],
Cell[18117, 723, 435, 19, 47, "Text"],
Cell[18555, 744, 446, 19, 47, "Text"],
Cell[19004, 765, 265, 14, 47, "Text"],
Cell[19272, 781, 112, 5, 47, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[19421, 791, 47, 0, 47, "Text"],
Cell[19471, 793, 112, 5, 47, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[19668, 807, 44, 0, 47, "Text"],
Cell[19715, 809, 251, 11, 71, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[20027, 827, 31, 0, 47, "Text"],
Cell[20061, 829, 75, 3, 47, "Text"],
Cell[20139, 834, 1041, 33, 54, "Assumption",
  CellTags->" \[RawStar] .IH"],
Cell[21183, 869, 75, 3, 47, "Text"],
Cell[21261, 874, 1136, 36, 54, "Conclusion",
  CellTags->" \[RawStar] .IS"],

Cell[CellGroupData[{
Cell[22422, 914, 129, 3, 73, "Text"],

Cell[CellGroupData[{
Cell[22576, 921, 43, 0, 47, "Text"],
Cell[22622, 923, 220, 10, 47, "Text"],
Cell[22845, 935, 819, 27, 47, "Conclusion",
  CellTags->" \[RawStar] .IS.F"],

Cell[CellGroupData[{
Cell[23689, 966, 32, 0, 47, "Text"],

Cell[CellGroupData[{
Cell[23746, 970, 47, 0, 47, "Text"],
Cell[23796, 972, 396, 14, 47, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[24229, 991, 47, 0, 47, "Text"],
Cell[24279, 993, 549, 23, 47, "Text"],
Cell[24831, 1018, 672, 27, 47, "Text"],
Cell[25506, 1047, 517, 18, 47, "Text"]
}, Open  ]],
Cell[26038, 1068, 49, 0, 47, "Text"],
Cell[26090, 1070, 1280, 40, 54, "Conclusion",
  CellTags->" \[RawStar] .IS.S"]
}, Open  ]],

Cell[CellGroupData[{
Cell[27407, 1115, 368, 18, 47, "Text"],

Cell[CellGroupData[{
Cell[27800, 1137, 32, 0, 47, "Text"],
Cell[27835, 1139, 587, 20, 47, "Conclusion",
  CellTags->" \[RawStar] .IS.S.IB"],

Cell[CellGroupData[{
Cell[28447, 1163, 197, 10, 47, "Text"],

Cell[CellGroupData[{
Cell[28669, 1177, 47, 0, 47, "Text"],
Cell[28719, 1179, 431, 19, 47, "Text"],
Cell[29153, 1200, 112, 5, 47, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[29302, 1210, 47, 0, 47, "Text"],
Cell[29352, 1212, 436, 19, 47, "Text"],
Cell[29791, 1233, 430, 19, 47, "Text"],
Cell[30224, 1254, 244, 9, 47, "Text"]
}, Open  ]],
Cell[30483, 1266, 49, 0, 47, "Text"],
Cell[30535, 1268, 361, 13, 47, "Conclusion",
  CellTags->" \[RawStar] .IS.S.IB.S"]
}, Open  ]],
Cell[30911, 1284, 254, 11, 73, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[31202, 1300, 31, 0, 47, "Text"],
Cell[31236, 1302, 75, 3, 47, "Text"],
Cell[31314, 1307, 954, 31, 47, "Assumption",
  CellTags->" \[RawStar] .IS.S.IH"],
Cell[32271, 1340, 75, 3, 47, "Text"],
Cell[32349, 1345, 1083, 35, 47, "Conclusion",
  CellTags->" \[RawStar] .IS.S.IS"],
Cell[33435, 1382, 261, 11, 71, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[33757, 1400, 43, 0, 47, "Text"],

Cell[CellGroupData[{
Cell[33825, 1404, 364, 18, 47, "Text"],

Cell[CellGroupData[{
Cell[34214, 1426, 32, 0, 47, "Text"],
Cell[34249, 1428, 584, 20, 47, "Conclusion",
  CellTags->" \[RawStar] .IS.IB"],

Cell[CellGroupData[{
Cell[34858, 1452, 193, 10, 47, "Text"],

Cell[CellGroupData[{
Cell[35076, 1466, 47, 0, 47, "Text"],
Cell[35126, 1468, 431, 19, 47, "Text"],
Cell[35560, 1489, 112, 5, 47, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[35709, 1499, 47, 0, 47, "Text"],
Cell[35759, 1501, 435, 19, 70, "Text"],
Cell[36197, 1522, 430, 19, 70, "Text"],
Cell[36630, 1543, 244, 9, 70, "Text"]
}, Open  ]],
Cell[36889, 1555, 49, 0, 70, "Text"],
Cell[36941, 1557, 357, 13, 70, "Conclusion",
  CellTags->" \[RawStar] .IS.IB.S"]
}, Open  ]],
Cell[37313, 1573, 250, 11, 70, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[37600, 1589, 31, 0, 70, "Text"],
Cell[37634, 1591, 75, 3, 70, "Text"],
Cell[37712, 1596, 821, 27, 70, "Assumption",
  CellTags->" \[RawStar] .IS.IH"],
Cell[38536, 1625, 75, 3, 70, "Text"],
Cell[38614, 1630, 908, 30, 70, "Conclusion",
  CellTags->" \[RawStar] .IS.IS"],
Cell[39525, 1662, 257, 11, 70, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

