(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    117220,       3872]*)
(*NotebookOutlinePosition[    122229,       3998]*)
(*  CellTagsIndexPosition[    121056,       3969]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(( * ) * )", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["p",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "*", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "*", 
              StyleBox["p",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", 
            RowBox[{
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "*", 
                  StyleBox["p",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}]}]}], ")"}]}]], "Conclusion"],
  ","
}], "Conclusion",
  CellTags->"( * ) * "],

Cell[CellGroupData[{

Cell["under the assumptions:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["( *0)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", "0"}], "=", "0"}], ")"}]}]], 
    "Assumption"],
  ","
}], "Assumption",
  CellTags->" *0"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["( *  ^+)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", 
              SuperscriptBox[
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"]}], "=", 
            RowBox[{
              RowBox[{
                StyleBox["m",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "*", 
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "+", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption"],
  ","
}], "Assumption",
  CellTags->" *  ^+"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(0*)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"0", "*", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", "0"}], ")"}]}]], "Assumption"],
  ","
}], "Assumption",
  CellTags->"0*"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["( ^+*)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              SuperscriptBox[
                StyleBox["m",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"], "*", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", 
            RowBox[{
              RowBox[{
                StyleBox["m",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "*", 
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "+", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption"],
  ","
}], "Assumption",
  CellTags->" ^+*"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["( +0)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", "0"}], "=", 
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Assumption"],
  ","
}], "Assumption",
  CellTags->" +0"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["( + ^+)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              SuperscriptBox[
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"]}], "=", 
            SuperscriptBox[
              RowBox[{"(", 
                RowBox[{
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "+"]}], ")"}]}]], 
    "Assumption"],
  ","
}], "Assumption",
  CellTags->" + ^+"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(0+ )", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"0", "+", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Assumption"],
  ","
}], "Assumption",
  CellTags->"0+ "],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(^++ )", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              SuperscriptBox[
                StyleBox["m",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"], "+", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", 
            SuperscriptBox[
              RowBox[{"(", 
                RowBox[{
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "+"]}], ")"}]}]], 
    "Assumption"],
  "."
}], "Assumption",
  CellTags->"^++ "]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "We",
  " ",
  "prove ",
  Cell[TextData[{
    "(",
    ButtonBox["( * ) * ",
      ButtonData:>"( * ) * ",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " by  induction on ",
  Cell[BoxData[
      StyleBox["m",
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression"],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell["Induction Base: ", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(( * ) * .IB)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["p",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{"0", "*", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "*", 
              StyleBox["p",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", 
            RowBox[{"0", "*", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "*", 
                  StyleBox["p",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}]}]}], ")"}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"( * ) * .IB"],

Cell[TextData[{
  "We take in ",
  Cell[TextData[{
    "(",
    ButtonBox["( * ) * .IB",
      ButtonData:>"( * ) * .IB",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " all variables arbitrary but fixed and prove:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(( * ) * .IB.F)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"(", 
            RowBox[{"0", "*", 
              StyleBox[\(n\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}], "*", 
          StyleBox[\(p\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "=", 
        RowBox[{"0", "*", 
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(n\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", 
              StyleBox[\(p\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}]}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"( * ) * .IB.F"],

Cell[CellGroupData[{

Cell[TextData[{
  "A proof by simplification of ",
  Cell[TextData[{
    "(",
    ButtonBox["( * ) * .IB.F",
      ButtonData:>"( * ) * .IB.F",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " works."
}], "Text"],

Cell[CellGroupData[{

Cell["Simplification of the lhs term:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{"0", "*", 
            StyleBox[\(n\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "*", 
        StyleBox[\(p\_1\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox["0*",
      ButtonData:>"0*",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{"0", "*", 
        StyleBox[\(p\_1\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox["0*",
      ButtonData:>"0*",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      \(0\)], "Expression"],
  "\[RightFloor]"
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Simplification of the rhs term:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{"0", "*", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "*", 
            StyleBox[\(p\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox["0*",
      ButtonData:>"0*",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      \(0\)], "Expression"],
  "\[RightFloor]"
}], "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Induction Step:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  "Induction Hypothesis:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(( * ) * .IH)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["p",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(m\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "*", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "*", 
              StyleBox["p",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", 
            RowBox[{
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "*", 
                  StyleBox["p",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}]}]}], ")"}]}]], "Assumption"]
}], "Assumption",
  CellTags->"( * ) * .IH"],

Cell[TextData[{
  Cell["", "Indent"],
  "Induction Conclusion:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(( * ) * .IS)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["p",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    StyleBox[\(m\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "+"], "*", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "*", 
              StyleBox["p",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", 
            RowBox[{
              SuperscriptBox[
                StyleBox[\(m\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"], "*", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "*", 
                  StyleBox["p",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}]}]}], ")"}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"( * ) * .IS"],

Cell[TextData[{
  "We take in ",
  Cell[TextData[{
    "(",
    ButtonBox["( * ) * .IS",
      ButtonData:>"( * ) * .IS",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " all variables arbitrary but fixed:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(( * ) * .IS.F)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"(", 
            RowBox[{
              SuperscriptBox[
                StyleBox[\(m\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"], "*", 
              StyleBox[\(n\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}], "*", 
          StyleBox[\(p\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "=", 
        RowBox[{
          SuperscriptBox[
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"], "*", 
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(n\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", 
              StyleBox[\(p\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}]}]}]], "Conclusion"]
}], "Conclusion",
  CellTags->"( * ) * .IS.F"],

Cell[CellGroupData[{

Cell["and simplify it.", "Text"],

Cell[CellGroupData[{

Cell["Simplification of the lhs term:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+"], "*", 
            StyleBox[\(n\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "*", 
        StyleBox[\(p\_2\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" ^+*",
      ButtonData:>" ^+*",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", 
              StyleBox[\(n\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "+", 
            StyleBox[\(n\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "*", 
        StyleBox[\(p\_2\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox["Special Simpl ",
      ButtonData:>"Special Simpl ",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+", 
            RowBox[{
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", 
              StyleBox[\(n\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}], "*", 
        StyleBox[\(p\_2\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression"],
  "\[RightFloor]"
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Simplification of the rhs term:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(m\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+"], "*", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "*", 
            StyleBox[\(p\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" ^+*",
      ButtonData:>" ^+*",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(m\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "*", 
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(n\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", 
              StyleBox[\(p\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}]}], "+", 
        RowBox[{
          StyleBox[\(n\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "*", 
          StyleBox[\(p\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox["( * ) * .IH",
      ButtonData:>"( * ) * .IH",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", 
              StyleBox[\(n\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}], "*", 
          StyleBox[\(p\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "+", 
        RowBox[{
          StyleBox[\(n\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "*", 
          StyleBox[\(p\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox["Special Simpl ",
      ButtonData:>"Special Simpl ",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(n\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "*", 
          StyleBox[\(p\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "+", 
        RowBox[{
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", 
              StyleBox[\(n\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}], "*", 
          StyleBox[\(p\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Expression"],
  "\[RightFloor]"
}], "Text"]
}, Open  ]],

Cell["Hence, it is sufficient to prove:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(( * ) * .IS.S)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["p",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  RowBox[{
                    StyleBox[\(m\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}], "*", 
              StyleBox["p",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", 
            RowBox[{
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "*", 
                StyleBox["p",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "+", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(m\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "*", 
                StyleBox["p",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"( * ) * .IS.S"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "We",
  " ",
  "prove ",
  Cell[TextData[{
    "(",
    ButtonBox["( * ) * .IS.S",
      ButtonData:>"( * ) * .IS.S",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " by  induction on ",
  Cell[BoxData[
      StyleBox["n",
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression"],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell["Induction Base: ", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(( * ) * .IS.S.IB)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["p",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{"0", "+", 
                  RowBox[{
                    StyleBox[\(m\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", "0"}]}], ")"}], "*", 
              StyleBox["p",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", 
            RowBox[{
              RowBox[{"0", "*", 
                StyleBox["p",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "+", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(m\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", "0"}], ")"}], "*", 
                StyleBox["p",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"( * ) * .IS.S.IB"],

Cell[TextData[{
  "We take in ",
  Cell[TextData[{
    "(",
    ButtonBox["( * ) * .IS.S.IB",
      ButtonData:>"( * ) * .IS.S.IB",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " all variables arbitrary but fixed and prove:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(( * ) * .IS.S.IB.F)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"(", 
            RowBox[{"0", "+", 
              RowBox[{
                StyleBox[\(m\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "*", "0"}]}], ")"}], "*", 
          StyleBox[\(p\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "=", 
        RowBox[{
          RowBox[{"0", "*", 
            StyleBox[\(p\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "+", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "*", "0"}], ")"}], "*", 
            StyleBox[\(p\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"( * ) * .IS.S.IB.F"],

Cell[CellGroupData[{

Cell[TextData[{
  "A proof by simplification of ",
  Cell[TextData[{
    "(",
    ButtonBox["( * ) * .IS.S.IB.F",
      ButtonData:>"( * ) * .IS.S.IB.F",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " works."
}], "Text"],

Cell[CellGroupData[{

Cell["Simplification of the lhs term:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{"0", "+", 
            RowBox[{
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", "0"}]}], ")"}], "*", 
        StyleBox[\(p\_3\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" *0",
      ButtonData:>" *0",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{\((0 + 0)\), "*", 
        StyleBox[\(p\_3\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" +0",
      ButtonData:>" +0",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{"0", "*", 
        StyleBox[\(p\_3\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox["0*",
      ButtonData:>"0*",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      \(0\)], "Expression"],
  "\[RightFloor]"
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Simplification of the rhs term:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"0", "*", 
          StyleBox[\(p\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "+", 
        RowBox[{
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", "0"}], ")"}], "*", 
          StyleBox[\(p\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" *0",
      ButtonData:>" *0",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"0", "*", 
          StyleBox[\(p\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "+", 
        RowBox[{"0", "*", 
          StyleBox[\(p\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox["0*",
      ButtonData:>"0*",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{"0", "+", 
        RowBox[{"0", "*", 
          StyleBox[\(p\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox["0*",
      ButtonData:>"0*",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      \(0 + 0\)], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" +0",
      ButtonData:>" +0",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      \(0\)], "Expression"],
  "\[RightFloor]"
}], "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Induction Step:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  "Induction Hypothesis:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(( * ) * .IS.S.IH)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["p",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(n\_3\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  RowBox[{
                    StyleBox[\(m\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    StyleBox[\(n\_3\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}], "*", 
              StyleBox["p",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", 
            RowBox[{
              RowBox[{
                StyleBox[\(n\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "*", 
                StyleBox["p",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "+", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(m\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    StyleBox[\(n\_3\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "*", 
                StyleBox["p",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Assumption"]
}], "Assumption",
  CellTags->"( * ) * .IS.S.IH"],

Cell[TextData[{
  Cell["", "Indent"],
  "Induction Conclusion:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(( * ) * .IS.S.IS)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["p",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    StyleBox[\(n\_3\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "+"], "+", 
                  RowBox[{
                    StyleBox[\(m\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    SuperscriptBox[
                      StyleBox[\(n\_3\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "+"]}]}], ")"}], "*", 
              StyleBox["p",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", 
            RowBox[{
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(n\_3\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+"], "*", 
                StyleBox["p",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "+", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(m\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    SuperscriptBox[
                      StyleBox[\(n\_3\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "+"]}], ")"}], "*", 
                StyleBox["p",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"( * ) * .IS.S.IS"],

Cell[TextData[{
  "We take in ",
  Cell[TextData[{
    "(",
    ButtonBox["( * ) * .IS.S.IS",
      ButtonData:>"( * ) * .IS.S.IS",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " all variables arbitrary but fixed:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(( * ) * .IS.S.IS.F)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"(", 
            RowBox[{
              SuperscriptBox[
                StyleBox[\(n\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"], "+", 
              RowBox[{
                StyleBox[\(m\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "*", 
                SuperscriptBox[
                  StyleBox[\(n\_3\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+"]}]}], ")"}], "*", 
          StyleBox[\(p\_4\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "=", 
        RowBox[{
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+"], "*", 
            StyleBox[\(p\_4\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "+", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "*", 
                SuperscriptBox[
                  StyleBox[\(n\_3\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+"]}], ")"}], "*", 
            StyleBox[\(p\_4\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Conclusion"]
}], "Conclusion",
  CellTags->"( * ) * .IS.S.IS.F"],

Cell[CellGroupData[{

Cell["and simplify it.", "Text"],

Cell[CellGroupData[{

Cell["Simplification of the lhs term:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+"], "+", 
            RowBox[{
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", 
              SuperscriptBox[
                StyleBox[\(n\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"]}]}], ")"}], "*", 
        StyleBox[\(p\_4\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox["Special Simpl",
      ButtonData:>"Special Simpl",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", 
              SuperscriptBox[
                StyleBox[\(n\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"]}], "+", 
            SuperscriptBox[
              StyleBox[\(n\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+"]}], ")"}], "*", 
        StyleBox[\(p\_4\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" *  ^+",
      ButtonData:>" *  ^+",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  StyleBox[\(m\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "*", 
                  StyleBox[\(n\_3\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "+", 
                StyleBox[\(m\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "+", 
            SuperscriptBox[
              StyleBox[\(n\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+"]}], ")"}], "*", 
        StyleBox[\(p\_4\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox["Special Simpl",
      ButtonData:>"Special Simpl",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+", 
                RowBox[{
                  StyleBox[\(m\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "*", 
                  StyleBox[\(n\_3\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}], "+", 
            SuperscriptBox[
              StyleBox[\(n\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+"]}], ")"}], "*", 
        StyleBox[\(p\_4\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" + ^+",
      ButtonData:>" + ^+",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(m\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  RowBox[{
                    StyleBox[\(m\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    StyleBox[\(n\_3\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}], "+", 
              StyleBox[\(n\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}], "+"], "*", 
        StyleBox[\(p\_4\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox["Special Simpl",
      ButtonData:>"Special Simpl",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(n\_3\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  RowBox[{
                    StyleBox[\(m\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    StyleBox[\(n\_3\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}], "+"], "*", 
        StyleBox[\(p\_4\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" ^+*",
      ButtonData:>" ^+*",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(n\_3\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  RowBox[{
                    StyleBox[\(m\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    StyleBox[\(n\_3\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}], "*", 
          StyleBox[\(p\_4\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "+", 
        StyleBox[\(p\_4\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox["Special Simpl ",
      ButtonData:>"Special Simpl ",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(p\_4\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "+", 
        RowBox[{
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(n\_3\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  RowBox[{
                    StyleBox[\(m\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    StyleBox[\(n\_3\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}], "*", 
          StyleBox[\(p\_4\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Expression"],
  "\[RightFloor]"
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Simplification of the rhs term:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SuperscriptBox[
            StyleBox[\(n\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"], "*", 
          StyleBox[\(p\_4\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "+", 
        RowBox[{
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", 
              SuperscriptBox[
                StyleBox[\(n\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"]}], ")"}], "*", 
          StyleBox[\(p\_4\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox["Special Simpl",
      ButtonData:>"Special Simpl",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", 
              SuperscriptBox[
                StyleBox[\(n\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"]}], ")"}], "*", 
          StyleBox[\(p\_4\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "+", 
        RowBox[{
          SuperscriptBox[
            StyleBox[\(n\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"], "*", 
          StyleBox[\(p\_4\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" *  ^+",
      ButtonData:>" *  ^+",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox[\(m\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "*", 
                StyleBox[\(n\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "+", 
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}], "*", 
          StyleBox[\(p\_4\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "+", 
        RowBox[{
          SuperscriptBox[
            StyleBox[\(n\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"], "*", 
          StyleBox[\(p\_4\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox["Special Simpl",
      ButtonData:>"Special Simpl",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SuperscriptBox[
            StyleBox[\(n\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"], "*", 
          StyleBox[\(p\_4\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "+", 
        RowBox[{
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              RowBox[{
                StyleBox[\(m\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "*", 
                StyleBox[\(n\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}], "*", 
          StyleBox[\(p\_4\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" ^+*",
      ButtonData:>" ^+*",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox[\(n\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", 
              StyleBox[\(p\_4\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "+", 
            StyleBox[\(p\_4\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "+", 
        RowBox[{
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              RowBox[{
                StyleBox[\(m\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "*", 
                StyleBox[\(n\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}], "*", 
          StyleBox[\(p\_4\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox["Special Simpl ",
      ButtonData:>"Special Simpl ",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(p\_4\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "+", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox[\(n\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", 
              StyleBox[\(p\_4\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "+", 
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(m\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  RowBox[{
                    StyleBox[\(m\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    StyleBox[\(n\_3\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}], "*", 
              StyleBox[\(p\_4\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Expression"],
  "\[RightFloor]"
}], "Text"]
}, Open  ]],

Cell["Hence, it is sufficient to prove:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(( * ) * .IS.S.IS.S)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["p",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["p",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(m\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "+", 
                    RowBox[{"(", 
                      RowBox[{
                        StyleBox[\(n\_3\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "+", 
                        RowBox[{
                          StyleBox[\(m\_1\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "*", 
                          StyleBox[\(n\_3\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}]}], ")"}]}], ")"}], "*", 
                StyleBox["p",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], "=", 
            RowBox[{
              StyleBox["p",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    StyleBox[\(n\_3\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    StyleBox["p",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "+", 
                  RowBox[{
                    RowBox[{"(", 
                      RowBox[{
                        StyleBox[\(m\_1\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "+", 
                        RowBox[{
                          StyleBox[\(m\_1\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "*", 
                          StyleBox[\(n\_3\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}]}], ")"}], "*", 
                    StyleBox["p",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}]}], ")"}]}]], 
    "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"( * ) * .IS.S.IS.S"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "We",
  " ",
  "prove ",
  Cell[TextData[{
    "(",
    ButtonBox["( * ) * .IS.S.IS.S",
      ButtonData:>"( * ) * .IS.S.IS.S",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " by  induction on ",
  Cell[BoxData[
      StyleBox["p",
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression"],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell["Induction Base: ", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(( * ) * .IS.S.IS.S.IB)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"0", "+", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(n\_3\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "+", 
                    RowBox[{
                      StyleBox[\(m\_1\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "*", 
                      StyleBox[\(n\_3\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}]}], ")"}], "*", "0"}]}], 
        "=", 
        RowBox[{"0", "+", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox[\(n\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "*", "0"}], "+", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(m\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "+", 
                    RowBox[{
                      StyleBox[\(m\_1\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "*", 
                      StyleBox[\(n\_3\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "*", "0"}]}], 
            ")"}]}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"( * ) * .IS.S.IS.S.IB"],

Cell[CellGroupData[{

Cell[TextData[{
  "A proof by simplification of ",
  Cell[TextData[{
    "(",
    ButtonBox["( * ) * .IS.S.IS.S.IB",
      ButtonData:>"( * ) * .IS.S.IS.S.IB",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " works."
}], "Text"],

Cell[CellGroupData[{

Cell["Simplification of the lhs term:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{"0", "+", 
        RowBox[{
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(n\_3\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  RowBox[{
                    StyleBox[\(m\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    StyleBox[\(n\_3\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}], "*", "0"}]}]], 
    "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" *0",
      ButtonData:>" *0",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      \(0 + 0\)], "Expression"],
  "\[RightFloor]"
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Simplification of the rhs term:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{"0", "+", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox[\(n\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", "0"}], "+", 
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(m\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  RowBox[{
                    StyleBox[\(m\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    StyleBox[\(n\_3\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}], "*", "0"}]}], ")"}]}]], 
    "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" *0",
      ButtonData:>" *0",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{"0", "+", 
        RowBox[{"(", 
          RowBox[{"0", "+", 
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(m\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  RowBox[{
                    StyleBox[\(m\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    StyleBox[\(n\_3\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}], "*", "0"}]}], ")"}]}]], 
    "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" *0",
      ButtonData:>" *0",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      \(0 + \((0 + 0)\)\)], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox["Special Simpl",
      ButtonData:>"Special Simpl",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      \(\((0 + 0)\) + 0\)], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" +0",
      ButtonData:>" +0",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      \(0 + 0\)], "Expression"],
  "\[RightFloor]"
}], "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Induction Step:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  "Induction Hypothesis:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(( * ) * .IS.S.IS.S.IH)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(p\_5\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(n\_3\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "+", 
                    RowBox[{
                      StyleBox[\(m\_1\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "*", 
                      StyleBox[\(n\_3\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}]}], ")"}], "*", 
            StyleBox[\(p\_5\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}], "=", 
        RowBox[{
          StyleBox[\(p\_5\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox[\(n\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "*", 
                StyleBox[\(p\_5\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "+", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(m\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "+", 
                    RowBox[{
                      StyleBox[\(m\_1\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "*", 
                      StyleBox[\(n\_3\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "*", 
                StyleBox[\(p\_5\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Assumption"]
}], "Assumption",
  CellTags->"( * ) * .IS.S.IS.S.IH"],

Cell[TextData[{
  Cell["", "Indent"],
  "Induction Conclusion:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(( * ) * .IS.S.IS.S.IS)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SuperscriptBox[
            StyleBox[\(p\_5\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"], "+", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(n\_3\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "+", 
                    RowBox[{
                      StyleBox[\(m\_1\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "*", 
                      StyleBox[\(n\_3\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}]}], ")"}], "*", 
            SuperscriptBox[
              StyleBox[\(p\_5\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+"]}]}], "=", 
        RowBox[{
          SuperscriptBox[
            StyleBox[\(p\_5\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"], "+", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox[\(n\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "*", 
                SuperscriptBox[
                  StyleBox[\(p\_5\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+"]}], "+", 
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(m\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "+", 
                    RowBox[{
                      StyleBox[\(m\_1\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "*", 
                      StyleBox[\(n\_3\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}], "*", 
                SuperscriptBox[
                  StyleBox[\(p\_5\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+"]}]}], ")"}]}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"( * ) * .IS.S.IS.S.IS"],

Cell[CellGroupData[{

Cell[TextData[{
  "A proof by simplification of ",
  Cell[TextData[{
    "(",
    ButtonBox["( * ) * .IS.S.IS.S.IS",
      ButtonData:>"( * ) * .IS.S.IS.S.IS",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " works."
}], "Text"],

Cell[CellGroupData[{

Cell["Simplification of the lhs term:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(p\_5\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+"], "+", 
        RowBox[{
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(n\_3\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  RowBox[{
                    StyleBox[\(m\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    StyleBox[\(n\_3\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}], "*", 
          SuperscriptBox[
            StyleBox[\(p\_5\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"]}]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox["Special Simpl",
      ButtonData:>"Special Simpl",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(n\_3\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  RowBox[{
                    StyleBox[\(m\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    StyleBox[\(n\_3\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}], ")"}], "*", 
          SuperscriptBox[
            StyleBox[\(p\_5\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"]}], "+", 
        SuperscriptBox[
          StyleBox[\(p\_5\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+"]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" *  ^+",
      ButtonData:>" *  ^+",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(m\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  RowBox[{"(", 
                    RowBox[{
                      StyleBox[\(n\_3\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "+", 
                      RowBox[{
                        StyleBox[\(m\_1\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "*", 
                        StyleBox[\(n\_3\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}], ")"}], "*", 
              StyleBox[\(p\_5\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "+", 
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(n\_3\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "+", 
                    RowBox[{
                      StyleBox[\(m\_1\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "*", 
                      StyleBox[\(n\_3\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}]}], ")"}]}], ")"}], "+", 
        SuperscriptBox[
          StyleBox[\(p\_5\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+"]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox["Special Simpl",
      ButtonData:>"Special Simpl",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+", 
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(n\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+", 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      StyleBox[\(m\_1\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "*", 
                      StyleBox[\(n\_3\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "+", 
                    RowBox[{
                      RowBox[{"(", 
                        RowBox[{
                          StyleBox[\(m\_1\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "+", 
                          RowBox[{"(", 
                            RowBox[{
                              StyleBox[\(n\_3\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "+", 
                              RowBox[{
                                StyleBox[\(m\_1\),
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None], "*", 
                                StyleBox[\(n\_3\),
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None]}]}], ")"}]}], ")"}], 
                      "*", 
                      StyleBox[\(p\_5\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}]}], ")"}]}], ")"}], "+", 
        SuperscriptBox[
          StyleBox[\(p\_5\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+"]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" + ^+",
      ButtonData:>" + ^+",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      SuperscriptBox[
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(n\_3\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "+", 
                    RowBox[{"(", 
                      RowBox[{
                        RowBox[{
                          StyleBox[\(m\_1\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "*", 
                          StyleBox[\(n\_3\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "+", 
                        RowBox[{
                          RowBox[{"(", 
                            RowBox[{
                              StyleBox[\(m\_1\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "+", 
                              RowBox[{"(", 
                                RowBox[{
                                  StyleBox[\(n\_3\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None], "+", 
                                  RowBox[{
                                    StyleBox[\(m\_1\),
                                      FontWeight->"Plain",
                                      FontSlant->"Italic",
                                      Background->None], "*", 
                                    StyleBox[\(n\_3\),
                                      FontWeight->"Plain",
                                      FontSlant->"Italic",
                                      Background->None]}]}], ")"}]}], ")"}], 
                          "*", 
                          StyleBox[\(p\_5\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}]}], ")"}]}], ")"}]}], ")"}], 
            "+", 
            StyleBox[\(p\_5\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "+"]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox["Special Simpl",
      ButtonData:>"Special Simpl",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      SuperscriptBox[
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+", 
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(n\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+", 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{"(", 
                      RowBox[{
                        StyleBox[\(p\_5\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "+", 
                        RowBox[{
                          RowBox[{"(", 
                            RowBox[{
                              StyleBox[\(m\_1\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "+", 
                              RowBox[{"(", 
                                RowBox[{
                                  StyleBox[\(n\_3\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None], "+", 
                                  RowBox[{
                                    StyleBox[\(m\_1\),
                                      FontWeight->"Plain",
                                      FontSlant->"Italic",
                                      Background->None], "*", 
                                    StyleBox[\(n\_3\),
                                      FontWeight->"Plain",
                                      FontSlant->"Italic",
                                      Background->None]}]}], ")"}]}], ")"}], 
                          "*", 
                          StyleBox[\(p\_5\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}]}], ")"}], "+", 
                    RowBox[{
                      StyleBox[\(m\_1\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "*", 
                      StyleBox[\(n\_3\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}]}], ")"}]}], ")"}], 
        "+"]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox["( * ) * .IS.S.IS.S.IH",
      ButtonData:>"( * ) * .IS.S.IS.S.IH",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+", 
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(n\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+", 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{"(", 
                      RowBox[{
                        StyleBox[\(p\_5\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "+", 
                        RowBox[{"(", 
                          RowBox[{
                            RowBox[{
                              StyleBox[\(n\_3\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "*", 
                              StyleBox[\(p\_5\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}], "+", 
                            RowBox[{
                              RowBox[{"(", 
                                RowBox[{
                                  StyleBox[\(m\_1\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None], "+", 
                                  RowBox[{
                                    StyleBox[\(m\_1\),
                                      FontWeight->"Plain",
                                      FontSlant->"Italic",
                                      Background->None], "*", 
                                    StyleBox[\(n\_3\),
                                      FontWeight->"Plain",
                                      FontSlant->"Italic",
                                      Background->None]}]}], ")"}], "*", 
                              StyleBox[\(p\_5\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}]}], ")"}]}], ")"}], "+", 
                    RowBox[{
                      StyleBox[\(m\_1\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "*", 
                      StyleBox[\(n\_3\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}]}], ")"}]}], ")"}], "^", 
        "+"}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox["Special Simpl ",
      ButtonData:>"Special Simpl ",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+", 
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(n\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(p\_5\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "+", 
                    RowBox[{"(", 
                      RowBox[{
                        RowBox[{
                          StyleBox[\(m\_1\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "*", 
                          StyleBox[\(n\_3\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "+", 
                        RowBox[{"(", 
                          RowBox[{
                            RowBox[{
                              StyleBox[\(n\_3\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "*", 
                              StyleBox[\(p\_5\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}], "+", 
                            RowBox[{
                              RowBox[{"(", 
                                RowBox[{
                                  StyleBox[\(m\_1\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None], "+", 
                                  RowBox[{
                                    StyleBox[\(m\_1\),
                                      FontWeight->"Plain",
                                      FontSlant->"Italic",
                                      Background->None], "*", 
                                    StyleBox[\(n\_3\),
                                      FontWeight->"Plain",
                                      FontSlant->"Italic",
                                      Background->None]}]}], ")"}], "*", 
                              StyleBox[\(p\_5\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}]}], ")"}]}], ")"}]}], 
                  ")"}]}], ")"}]}], ")"}], "^", "+"}]], "Expression"],
  "\[RightFloor]"
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Simplification of the rhs term:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(p\_5\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+"], "+", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox[\(n\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", 
              SuperscriptBox[
                StyleBox[\(p\_5\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"]}], "+", 
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(m\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  RowBox[{
                    StyleBox[\(m\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    StyleBox[\(n\_3\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}], "*", 
              SuperscriptBox[
                StyleBox[\(p\_5\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"]}]}], ")"}]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox["Special Simpl",
      ButtonData:>"Special Simpl",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(n\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "*", 
          SuperscriptBox[
            StyleBox[\(p\_5\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"]}], "+", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(m\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  RowBox[{
                    StyleBox[\(m\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    StyleBox[\(n\_3\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}], "*", 
              SuperscriptBox[
                StyleBox[\(p\_5\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"]}], "+", 
            SuperscriptBox[
              StyleBox[\(p\_5\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+"]}], ")"}]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" *  ^+",
      ButtonData:>" *  ^+",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox[\(n\_3\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", 
              StyleBox[\(p\_5\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "+", 
            StyleBox[\(n\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "+", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(m\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  RowBox[{
                    StyleBox[\(m\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    StyleBox[\(n\_3\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}], "*", 
              SuperscriptBox[
                StyleBox[\(p\_5\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"]}], "+", 
            SuperscriptBox[
              StyleBox[\(p\_5\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+"]}], ")"}]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox["Special Simpl",
      ButtonData:>"Special Simpl",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_3\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "+", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(m\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  RowBox[{
                    StyleBox[\(m\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    StyleBox[\(n\_3\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}], "*", 
              SuperscriptBox[
                StyleBox[\(p\_5\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"]}], "+", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(p\_5\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+"], "+", 
                RowBox[{
                  StyleBox[\(n\_3\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "*", 
                  StyleBox[\(p\_5\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" *  ^+",
      ButtonData:>" *  ^+",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_3\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "+", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{
                      StyleBox[\(m\_1\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "+", 
                      RowBox[{
                        StyleBox[\(m\_1\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "*", 
                        StyleBox[\(n\_3\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}], "*", 
                  StyleBox[\(p\_5\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "+", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(m\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "+", 
                    RowBox[{
                      StyleBox[\(m\_1\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "*", 
                      StyleBox[\(n\_3\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}]}], ")"}], "+", 
            RowBox[{"(", 
              RowBox[{
                SuperscriptBox[
                  StyleBox[\(p\_5\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+"], "+", 
                RowBox[{
                  StyleBox[\(n\_3\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "*", 
                  StyleBox[\(p\_5\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox["Special Simpl",
      ButtonData:>"Special Simpl",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+", 
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(n\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+", 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      StyleBox[\(m\_1\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "*", 
                      StyleBox[\(n\_3\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "+", 
                    RowBox[{"(", 
                      RowBox[{
                        RowBox[{
                          StyleBox[\(n\_3\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "*", 
                          StyleBox[\(p\_5\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "+", 
                        RowBox[{
                          RowBox[{"(", 
                            RowBox[{
                              StyleBox[\(m\_1\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "+", 
                              RowBox[{
                                StyleBox[\(m\_1\),
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None], "*", 
                                StyleBox[\(n\_3\),
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None]}]}], ")"}], "*", 
                          StyleBox[\(p\_5\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}]}], ")"}]}], ")"}]}], ")"}]}], 
          ")"}], "+", 
        SuperscriptBox[
          StyleBox[\(p\_5\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+"]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" + ^+",
      ButtonData:>" + ^+",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(n\_3\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "+", 
                    RowBox[{"(", 
                      RowBox[{
                        RowBox[{
                          StyleBox[\(m\_1\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "*", 
                          StyleBox[\(n\_3\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "+", 
                        RowBox[{"(", 
                          RowBox[{
                            RowBox[{
                              StyleBox[\(n\_3\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "*", 
                              StyleBox[\(p\_5\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}], "+", 
                            RowBox[{
                              RowBox[{"(", 
                                RowBox[{
                                  StyleBox[\(m\_1\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None], "+", 
                                  RowBox[{
                                    StyleBox[\(m\_1\),
                                      FontWeight->"Plain",
                                      FontSlant->"Italic",
                                      Background->None], "*", 
                                    StyleBox[\(n\_3\),
                                      FontWeight->"Plain",
                                      FontSlant->"Italic",
                                      Background->None]}]}], ")"}], "*", 
                              StyleBox[\(p\_5\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}]}], ")"}]}], ")"}]}], 
                  ")"}]}], ")"}], "+", 
            StyleBox[\(p\_5\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "^", "+"}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox["Special Simpl ",
      ButtonData:>"Special Simpl ",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+", 
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(n\_3\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(p\_5\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "+", 
                    RowBox[{"(", 
                      RowBox[{
                        RowBox[{
                          StyleBox[\(m\_1\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "*", 
                          StyleBox[\(n\_3\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "+", 
                        RowBox[{"(", 
                          RowBox[{
                            RowBox[{
                              StyleBox[\(n\_3\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "*", 
                              StyleBox[\(p\_5\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}], "+", 
                            RowBox[{
                              RowBox[{"(", 
                                RowBox[{
                                  StyleBox[\(m\_1\),
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None], "+", 
                                  RowBox[{
                                    StyleBox[\(m\_1\),
                                      FontWeight->"Plain",
                                      FontSlant->"Italic",
                                      Background->None], "*", 
                                    StyleBox[\(n\_3\),
                                      FontWeight->"Plain",
                                      FontSlant->"Italic",
                                      Background->None]}]}], ")"}], "*", 
                              StyleBox[\(p\_5\),
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}]}], ")"}]}], ")"}]}], 
                  ")"}]}], ")"}]}], ")"}], "^", "+"}]], "Expression"],
  "\[RightFloor]"
}], "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"Microsoft Windows 3.0",
ScreenRectangle->{{0, 1024}, {0, 712}},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
WindowSize->{496, 604},
WindowMargins->{{252, Automatic}, {Automatic, 23}},
Visible->True,
Magnification->1.5,
StyleDefinitions -> "TheoremaProof.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "( \[RawStar] ) \[RawStar] "->{
    Cell[1756, 53, 1781, 54, 56, "Conclusion",
      CellTags->"( \[RawStar] ) \[RawStar] "]},
  " \[RawStar]0"->{
    Cell[3603, 113, 605, 22, 54, "Assumption",
      CellTags->" \[RawStar]0"]},
  " \[RawStar]  ^+"->{
    Cell[4211, 137, 1396, 44, 56, "Assumption",
      CellTags->" \[RawStar]  ^+"]},
  "0\[RawStar]"->{
    Cell[5610, 183, 598, 21, 54, "Assumption",
      CellTags->"0\[RawStar]"]},
  " ^+\[RawStar]"->{
    Cell[6211, 206, 1392, 44, 56, "Assumption",
      CellTags->" ^+\[RawStar]"]},
  " +0"->{
    Cell[7606, 252, 725, 25, 54, "Assumption",
      CellTags->" +0"]},
  " + ^+"->{
    Cell[8334, 279, 1320, 42, 56, "Assumption",
      CellTags->" + ^+"]},
  "0+ "->{
    Cell[9657, 323, 725, 25, 54, "Assumption",
      CellTags->"0+ "]},
  "^++ "->{
    Cell[10385, 350, 1318, 42, 56, "Assumption",
      CellTags->"^++ "]},
  "( \[RawStar] ) \[RawStar] .IB"->{
    Cell[12161, 421, 1370, 42, 56, "Conclusion",
      CellTags->"( \[RawStar] ) \[RawStar] .IB"]},
  "( \[RawStar] ) \[RawStar] .IB.F"->{
    Cell[13777, 477, 932, 30, 47, "Conclusion",
      CellTags->"( \[RawStar] ) \[RawStar] .IB.F"]},
  "( \[RawStar] ) \[RawStar] .IH"->{
    Cell[17095, 630, 1655, 49, 56, "Assumption",
      CellTags->"( \[RawStar] ) \[RawStar] .IH"]},
  "( \[RawStar] ) \[RawStar] .IS"->{
    Cell[18831, 686, 1754, 52, 56, "Conclusion",
      CellTags->"( \[RawStar] ) \[RawStar] .IS"]},
  "( \[RawStar] ) \[RawStar] .IS.F"->{
    Cell[20821, 752, 1269, 39, 47, "Conclusion",
      CellTags->"( \[RawStar] ) \[RawStar] .IS.F"]},
  "( \[RawStar] ) \[RawStar] .IS.S"->{
    Cell[28576, 1043, 2250, 65, 91, "Conclusion",
      CellTags->"( \[RawStar] ) \[RawStar] .IS.S"]},
  "( \[RawStar] ) \[RawStar] .IS.S.IB"->{
    Cell[31294, 1137, 1522, 45, 91, "Conclusion",
      CellTags->"( \[RawStar] ) \[RawStar] .IS.S.IB"]},
  "( \[RawStar] ) \[RawStar] .IS.S.IB.F"->{
    Cell[33072, 1196, 1181, 37, 73, "Conclusion",
      CellTags->"( \[RawStar] ) \[RawStar] .IS.S.IB.F"]},
  "( \[RawStar] ) \[RawStar] .IS.S.IH"->{
    Cell[38563, 1446, 2139, 60, 87, "Assumption",
      CellTags->"( \[RawStar] ) \[RawStar] .IS.S.IH"]},
  "( \[RawStar] ) \[RawStar] .IS.S.IS"->{
    Cell[40783, 1513, 2340, 65, 91, "Conclusion",
      CellTags->"( \[RawStar] ) \[RawStar] .IS.S.IS"]},
  "( \[RawStar] ) \[RawStar] .IS.S.IS.F"->{
    Cell[43369, 1592, 1912, 56, 67, "Conclusion",
      CellTags->"( \[RawStar] ) \[RawStar] .IS.S.IS.F"]},
  "( \[RawStar] ) \[RawStar] .IS.S.IS.S"->{
    Cell[62669, 2260, 3199, 84, 141, "Conclusion",
      CellTags->"( \[RawStar] ) \[RawStar] .IS.S.IS.S"]},
  "( \[RawStar] ) \[RawStar] .IS.S.IS.S.IB"->{
    Cell[66346, 2373, 2069, 57, 119, "Conclusion",
      CellTags->"( \[RawStar] ) \[RawStar] .IS.S.IS.S.IB"]},
  "( \[RawStar] ) \[RawStar] .IS.S.IS.S.IH"->{
    Cell[73039, 2627, 2706, 74, 115, "Assumption",
      CellTags->"( \[RawStar] ) \[RawStar] .IS.S.IS.S.IH"]},
  "( \[RawStar] ) \[RawStar] .IS.S.IS.S.IS"->{
    Cell[75826, 2708, 2927, 80, 119, "Conclusion",
      CellTags->"( \[RawStar] ) \[RawStar] .IS.S.IS.S.IS"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"( \[RawStar] ) \[RawStar] ", 117971, 3893},
  {" \[RawStar]0", 118086, 3896},
  {" \[RawStar]  ^+", 118190, 3899},
  {"0\[RawStar]", 118294, 3902},
  {" ^+\[RawStar]", 118395, 3905},
  {" +0", 118489, 3908},
  {" + ^+", 118574, 3911},
  {"0+ ", 118660, 3914},
  {"^++ ", 118744, 3917},
  {"( \[RawStar] ) \[RawStar] .IB", 118856, 3920},
  {"( \[RawStar] ) \[RawStar] .IB.F", 118995, 3923},
  {"( \[RawStar] ) \[RawStar] .IH", 119133, 3926},
  {"( \[RawStar] ) \[RawStar] .IS", 119270, 3929},
  {"( \[RawStar] ) \[RawStar] .IS.F", 119409, 3932},
  {"( \[RawStar] ) \[RawStar] .IS.S", 119550, 3935},
  {"( \[RawStar] ) \[RawStar] .IS.S.IB", 119695, 3938},
  {"( \[RawStar] ) \[RawStar] .IS.S.IB.F", 119845, 3941},
  {"( \[RawStar] ) \[RawStar] .IS.S.IH", 119995, 3944},
  {"( \[RawStar] ) \[RawStar] .IS.S.IS", 120143, 3947},
  {"( \[RawStar] ) \[RawStar] .IS.S.IS.F", 120293, 3950},
  {"( \[RawStar] ) \[RawStar] .IS.S.IS.S", 120445, 3953},
  {"( \[RawStar] ) \[RawStar] .IS.S.IS.S.IB", 120601, 3956},
  {"( \[RawStar] ) \[RawStar] .IS.S.IS.S.IH", 120760, 3959},
  {"( \[RawStar] ) \[RawStar] .IS.S.IS.S.IS", 120919, 3962}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 22, 0, 47, "Text"],
Cell[1756, 53, 1781, 54, 56, "Conclusion",
  CellTags->"( \[RawStar] ) \[RawStar] "],

Cell[CellGroupData[{
Cell[3562, 111, 38, 0, 47, "Text"],
Cell[3603, 113, 605, 22, 54, "Assumption",
  CellTags->" \[RawStar]0"],
Cell[4211, 137, 1396, 44, 56, "Assumption",
  CellTags->" \[RawStar]  ^+"],
Cell[5610, 183, 598, 21, 54, "Assumption",
  CellTags->"0\[RawStar]"],
Cell[6211, 206, 1392, 44, 56, "Assumption",
  CellTags->" ^+\[RawStar]"],
Cell[7606, 252, 725, 25, 54, "Assumption",
  CellTags->" +0"],
Cell[8334, 279, 1320, 42, 56, "Assumption",
  CellTags->" + ^+"],
Cell[9657, 323, 725, 25, 54, "Assumption",
  CellTags->"0+ "],
Cell[10385, 350, 1318, 42, 56, "Assumption",
  CellTags->"^++ "]
}, Open  ]],

Cell[CellGroupData[{
Cell[11740, 397, 361, 18, 47, "Text"],

Cell[CellGroupData[{
Cell[12126, 419, 32, 0, 47, "Text"],
Cell[12161, 421, 1370, 42, 56, "Conclusion",
  CellTags->"( \[RawStar] ) \[RawStar] .IB"],
Cell[13534, 465, 240, 10, 73, "Text"],
Cell[13777, 477, 932, 30, 47, "Conclusion",
  CellTags->"( \[RawStar] ) \[RawStar] .IB.F"],

Cell[CellGroupData[{
Cell[14734, 511, 224, 10, 47, "Text"],

Cell[CellGroupData[{
Cell[14983, 525, 47, 0, 47, "Text"],
Cell[15033, 527, 581, 24, 47, "Text"],
Cell[15617, 553, 391, 18, 47, "Text"],
Cell[16011, 573, 112, 5, 47, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[16160, 583, 47, 0, 47, "Text"],
Cell[16210, 585, 597, 24, 47, "Text"],
Cell[16810, 611, 112, 5, 47, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[16983, 623, 31, 0, 47, "Text"],
Cell[17017, 625, 75, 3, 47, "Text"],
Cell[17095, 630, 1655, 49, 56, "Assumption",
  CellTags->"( \[RawStar] ) \[RawStar] .IH"],
Cell[18753, 681, 75, 3, 47, "Text"],
Cell[18831, 686, 1754, 52, 56, "Conclusion",
  CellTags->"( \[RawStar] ) \[RawStar] .IS"],
Cell[20588, 740, 230, 10, 47, "Text"],
Cell[20821, 752, 1269, 39, 47, "Conclusion",
  CellTags->"( \[RawStar] ) \[RawStar] .IS.F"],

Cell[CellGroupData[{
Cell[22115, 795, 32, 0, 47, "Text"],

Cell[CellGroupData[{
Cell[22172, 799, 47, 0, 47, "Text"],
Cell[22222, 801, 757, 29, 47, "Text"],
Cell[22982, 832, 914, 33, 47, "Text"],
Cell[23899, 867, 743, 24, 47, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[24679, 896, 47, 0, 47, "Text"],
Cell[24729, 898, 753, 29, 47, "Text"],
Cell[25485, 929, 1059, 38, 47, "Text"],
Cell[26547, 969, 1065, 38, 47, "Text"],
Cell[27615, 1009, 894, 29, 47, "Text"]
}, Open  ]],
Cell[28524, 1041, 49, 0, 47, "Text"],
Cell[28576, 1043, 2250, 65, 91, "Conclusion",
  CellTags->"( \[RawStar] ) \[RawStar] .IS.S"]
}, Open  ]],

Cell[CellGroupData[{
Cell[30863, 1113, 371, 18, 47, "Text"],

Cell[CellGroupData[{
Cell[31259, 1135, 32, 0, 47, "Text"],
Cell[31294, 1137, 1522, 45, 91, "Conclusion",
  CellTags->"( \[RawStar] ) \[RawStar] .IS.S.IB"],
Cell[32819, 1184, 250, 10, 73, "Text"],
Cell[33072, 1196, 1181, 37, 73, "Conclusion",
  CellTags->"( \[RawStar] ) \[RawStar] .IS.S.IB.F"],

Cell[CellGroupData[{
Cell[34278, 1237, 234, 10, 47, "Text"],

Cell[CellGroupData[{
Cell[34537, 1251, 47, 0, 47, "Text"],
Cell[34587, 1253, 624, 25, 47, "Text"],
Cell[35214, 1280, 401, 18, 47, "Text"],
Cell[35618, 1300, 391, 18, 47, "Text"],
Cell[36012, 1320, 112, 5, 47, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[36161, 1330, 47, 0, 47, "Text"],
Cell[36211, 1332, 783, 30, 47, "Text"],
Cell[36997, 1364, 579, 24, 47, "Text"],
Cell[37579, 1390, 428, 19, 47, "Text"],
Cell[38010, 1411, 265, 14, 47, "Text"],
Cell[38278, 1427, 112, 5, 47, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[38451, 1439, 31, 0, 47, "Text"],
Cell[38485, 1441, 75, 3, 47, "Text"],
Cell[38563, 1446, 2139, 60, 87, "Assumption",
  CellTags->"( \[RawStar] ) \[RawStar] .IS.S.IH"],
Cell[40705, 1508, 75, 3, 47, "Text"],
Cell[40783, 1513, 2340, 65, 91, "Conclusion",
  CellTags->"( \[RawStar] ) \[RawStar] .IS.S.IS"],
Cell[43126, 1580, 240, 10, 73, "Text"],
Cell[43369, 1592, 1912, 56, 67, "Conclusion",
  CellTags->"( \[RawStar] ) \[RawStar] .IS.S.IS.F"],

Cell[CellGroupData[{
Cell[45306, 1652, 32, 0, 47, "Text"],

Cell[CellGroupData[{
Cell[45363, 1656, 47, 0, 47, "Text"],
Cell[45413, 1658, 998, 35, 47, "Text"],
Cell[46414, 1695, 984, 35, 47, "Text"],
Cell[47401, 1732, 1204, 40, 73, "Text"],
Cell[48608, 1774, 1188, 40, 47, "Text"],
Cell[49799, 1816, 1234, 40, 73, "Text"],
Cell[51036, 1858, 1216, 40, 47, "Text"],
Cell[52255, 1900, 1357, 44, 73, "Text"],
Cell[53615, 1946, 1186, 35, 47, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[54838, 1986, 47, 0, 47, "Text"],
Cell[54888, 1988, 1147, 40, 73, "Text"],
Cell[56038, 2030, 1133, 40, 47, "Text"],
Cell[57174, 2072, 1292, 44, 73, "Text"],
Cell[58469, 2118, 1274, 44, 47, "Text"],
Cell[59746, 2164, 1480, 49, 73, "Text"],
Cell[61229, 2215, 1373, 40, 47, "Text"]
}, Open  ]],
Cell[62617, 2258, 49, 0, 47, "Text"],
Cell[62669, 2260, 3199, 84, 141, "Conclusion",
  CellTags->"( \[RawStar] ) \[RawStar] .IS.S.IS.S"]
}, Open  ]],

Cell[CellGroupData[{
Cell[65905, 2349, 381, 18, 47, "Text"],

Cell[CellGroupData[{
Cell[66311, 2371, 32, 0, 47, "Text"],
Cell[66346, 2373, 2069, 57, 119, "Conclusion",
  CellTags->"( \[RawStar] ) \[RawStar] .IS.S.IS.S.IB"],

Cell[CellGroupData[{
Cell[68440, 2434, 240, 10, 73, "Text"],

Cell[CellGroupData[{
Cell[68705, 2448, 47, 0, 47, "Text"],
Cell[68755, 2450, 1104, 37, 47, "Text"],
Cell[69862, 2489, 116, 5, 47, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[70015, 2499, 47, 0, 47, "Text"],
Cell[70065, 2501, 1137, 38, 47, "Text"],
Cell[71205, 2541, 966, 33, 47, "Text"],
Cell[72174, 2576, 295, 14, 47, "Text"],
Cell[72472, 2592, 275, 14, 47, "Text"],
Cell[72750, 2608, 116, 5, 47, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[72927, 2620, 31, 0, 47, "Text"],
Cell[72961, 2622, 75, 3, 47, "Text"],
Cell[73039, 2627, 2706, 74, 115, "Assumption",
  CellTags->"( \[RawStar] ) \[RawStar] .IS.S.IS.S.IH"],
Cell[75748, 2703, 75, 3, 47, "Text"],
Cell[75826, 2708, 2927, 80, 119, "Conclusion",
  CellTags->"( \[RawStar] ) \[RawStar] .IS.S.IS.S.IS"],

Cell[CellGroupData[{
Cell[78778, 2792, 240, 10, 73, "Text"],

Cell[CellGroupData[{
Cell[79043, 2806, 47, 0, 47, "Text"],
Cell[79093, 2808, 1433, 46, 73, "Text"],
Cell[80529, 2856, 1419, 46, 73, "Text"],
Cell[81951, 2904, 2390, 68, 99, "Text"],
Cell[84344, 2974, 2573, 69, 99, "Text"],
Cell[86920, 3045, 2841, 71, 99, "Text"],
Cell[89764, 3118, 2833, 71, 99, "Text"],
Cell[92600, 3191, 3058, 75, 195, "Text"],
Cell[95661, 3268, 2917, 66, 195, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[98615, 3339, 47, 0, 47, "Text"],
Cell[98665, 3341, 1668, 52, 73, "Text"],
Cell[100336, 3395, 1634, 52, 73, "Text"],
Cell[101973, 3449, 1834, 57, 73, "Text"],
Cell[103810, 3508, 1868, 57, 70, "Text"],
Cell[105681, 3567, 2605, 73, 70, "Text"],
Cell[108289, 3642, 2808, 74, 70, "Text"],
Cell[111100, 3718, 3088, 75, 70, "Text"],
Cell[114191, 3795, 2917, 66, 70, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

