(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     31765,       1172]*)
(*NotebookOutlinePosition[     34190,       1254]*)
(*  CellTagsIndexPosition[     33755,       1236]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(( + ) + )", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["p",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "+", 
              StyleBox["p",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", 
            RowBox[{
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox["p",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}]}]}], ")"}]}]], "Conclusion"],
  ","
}], "Conclusion",
  CellTags->"( + ) + "],

Cell[CellGroupData[{

Cell["under the assumptions:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["( + )", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", 
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption"],
  ","
}], "Assumption",
  CellTags->" + "],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(^++ )", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              SuperscriptBox[
                StyleBox["m",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"], "+", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", 
            SuperscriptBox[
              RowBox[{"(", 
                RowBox[{
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "+"]}], ")"}]}]], 
    "Assumption"],
  ","
}], "Assumption",
  CellTags->"^++ "],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(0+ )", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"0", "+", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Assumption"],
  ","
}], "Assumption",
  CellTags->"0+ "],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["( +0)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", "0"}], "=", 
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Assumption"],
  ","
}], "Assumption",
  CellTags->" +0"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["( +succ)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              SuperscriptBox[
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"]}], "=", 
            SuperscriptBox[
              RowBox[{"(", 
                RowBox[{
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "+"]}], ")"}]}]], 
    "Assumption"],
  "."
}], "Assumption",
  CellTags->" +succ"]
}, Open  ]],

Cell[TextData[{
  "We take in ",
  Cell[TextData[{
    "(",
    ButtonBox["( + ) + ",
      ButtonData:>"( + ) + ",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " all variables arbitrary but fixed:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(( + ) + .F)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(m\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}], "+", 
          StyleBox[\(p\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "=", 
        RowBox[{
          StyleBox[\(m\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+", 
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              StyleBox[\(p\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}]}]}]], "Conclusion"]
}], "Conclusion",
  CellTags->"( + ) + .F"],

Cell[CellGroupData[{

Cell["and simplify it.", "Text"],

Cell[CellGroupData[{

Cell["Simplification of the lhs term:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "+", 
        StyleBox[\(p\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" + ",
      ButtonData:>" + ",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(p\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "+", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Expression"],
  "\[RightFloor]"
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Simplification of the rhs term:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(m\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "+", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+", 
            StyleBox[\(p\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Expression"],
  "\[RightFloor]"
}], "Text"]
}, Open  ]],

Cell["Hence, it is sufficient to prove:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(( + ) + .S)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["p",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["p",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}]}], "=", 
            RowBox[{
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox["p",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}]}]}], ")"}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"( + ) + .S"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "We",
  " ",
  "prove ",
  Cell[TextData[{
    "(",
    ButtonBox["( + ) + .S",
      ButtonData:>"( + ) + .S",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " by  induction on ",
  Cell[BoxData[
      StyleBox["m",
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression"],
  "."
}], "Text"],

Cell[CellGroupData[{

Cell["Induction Base: ", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(( + ) + .S.IB)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["p",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["p",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              RowBox[{"(", 
                RowBox[{"0", "+", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}]}], "=", 
            RowBox[{"0", "+", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox["p",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}]}]}], ")"}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"( + ) + .S.IB"],

Cell[TextData[{
  "We take in ",
  Cell[TextData[{
    "(",
    ButtonBox["( + ) + .S.IB",
      ButtonData:>"( + ) + .S.IB",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " all variables arbitrary but fixed and prove:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(( + ) + .S.IB.F)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(p\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+", 
          RowBox[{"(", 
            RowBox[{"0", "+", 
              StyleBox[\(n\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}]}], "=", 
        RowBox[{"0", "+", 
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(n\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              StyleBox[\(p\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}]}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"( + ) + .S.IB.F"],

Cell[CellGroupData[{

Cell[TextData[{
  "A proof by simplification of ",
  Cell[TextData[{
    "(",
    ButtonBox["( + ) + .S.IB.F",
      ButtonData:>"( + ) + .S.IB.F",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " works."
}], "Text"],

Cell[CellGroupData[{

Cell["Simplification of the lhs term:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(p\_1\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "+", 
        RowBox[{"(", 
          RowBox[{"0", "+", 
            StyleBox[\(n\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox["0+ ",
      ButtonData:>"0+ ",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(p\_1\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "+", 
        StyleBox[\(n\_1\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" + ",
      ButtonData:>" + ",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_1\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "+", 
        StyleBox[\(p\_1\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression"],
  "\[RightFloor]"
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Simplification of the rhs term:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{"0", "+", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+", 
            StyleBox[\(p\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox["0+ ",
      ButtonData:>"0+ ",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_1\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "+", 
        StyleBox[\(p\_1\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression"],
  "\[RightFloor]"
}], "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Induction Step:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  "Induction Hypothesis:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(( + ) + .S.IH)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["p",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["p",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(m\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}]}], "=", 
            RowBox[{
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox["p",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}]}]}], ")"}]}]], "Assumption"]
}], "Assumption",
  CellTags->"( + ) + .S.IH"],

Cell[TextData[{
  Cell["", "Indent"],
  "Induction Conclusion:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(( + ) + .S.IS)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["p",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["p",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              RowBox[{"(", 
                RowBox[{
                  SuperscriptBox[
                    StyleBox[\(m\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "+"], "+", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}]}], "=", 
            RowBox[{
              SuperscriptBox[
                StyleBox[\(m\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"], "+", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox["p",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}]}]}], ")"}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"( + ) + .S.IS"],

Cell[TextData[{
  "We take in ",
  Cell[TextData[{
    "(",
    ButtonBox["( + ) + .S.IS",
      ButtonData:>"( + ) + .S.IS",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " all variables arbitrary but fixed and prove:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(( + ) + .S.IS.F)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(p\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+", 
          RowBox[{"(", 
            RowBox[{
              SuperscriptBox[
                StyleBox[\(m\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"], "+", 
              StyleBox[\(n\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}]}], "=", 
        RowBox[{
          SuperscriptBox[
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"], "+", 
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(n\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              StyleBox[\(p\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}]}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"( + ) + .S.IS.F"],

Cell[CellGroupData[{

Cell[TextData[{
  "A proof by simplification of ",
  Cell[TextData[{
    "(",
    ButtonBox["( + ) + .S.IS.F",
      ButtonData:>"( + ) + .S.IS.F",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " works."
}], "Text"],

Cell[CellGroupData[{

Cell["Simplification of the lhs term:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(p\_2\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "+", 
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+"], "+", 
            StyleBox[\(n\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" + ",
      ButtonData:>" + ",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(p\_2\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "+", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+", 
            SuperscriptBox[
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+"]}], ")"}]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" +succ",
      ButtonData:>" +succ",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(p\_2\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "+", 
        SuperscriptBox[
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(n\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}], "+"]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" + ",
      ButtonData:>" + ",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(p\_2\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "+", 
        SuperscriptBox[
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              StyleBox[\(n\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}], "+"]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox[" +succ",
      ButtonData:>" +succ",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      SuperscriptBox[
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(p\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+", 
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+", 
                StyleBox[\(n\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}]}], ")"}], "+"]], "Expression"],
  "\[RightFloor]"
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Simplification of the rhs term:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(m\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+"], "+", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+", 
            StyleBox[\(p\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox["^++ ",
      ButtonData:>"^++ ",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      SuperscriptBox[
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+", 
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(n\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+", 
                StyleBox[\(p\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}]}], ")"}], "+"]], "Expression"],
  " =",
  Cell["", "Blank"],
  "by ",
  Cell[TextData[{
    "(",
    ButtonBox["( + ) + .S.IH",
      ButtonData:>"( + ) + .S.IH",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"]
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      SuperscriptBox[
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(p\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+", 
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(m\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+", 
                StyleBox[\(n\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}]}], ")"}], "+"]], "Expression"],
  "\[RightFloor]"
}], "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"Microsoft Windows 3.0",
ScreenRectangle->{{0, 1024}, {0, 712}},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
WindowSize->{496, 604},
WindowMargins->{{252, Automatic}, {Automatic, 23}},
Visible->True,
Magnification->1.5,
StyleDefinitions -> "TheoremaProof.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "( + ) + "->{
    Cell[1756, 53, 1781, 54, 56, "Conclusion",
      CellTags->"( + ) + "]},
  " + "->{
    Cell[3603, 113, 1162, 38, 56, "Assumption",
      CellTags->" + "]},
  "^++ "->{
    Cell[4768, 153, 1318, 42, 56, "Assumption",
      CellTags->"^++ "]},
  "0+ "->{
    Cell[6089, 197, 725, 25, 54, "Assumption",
      CellTags->"0+ "]},
  " +0"->{
    Cell[6817, 224, 725, 25, 54, "Assumption",
      CellTags->" +0"]},
  " +succ"->{
    Cell[7545, 251, 1322, 42, 56, "Assumption",
      CellTags->" +succ"]},
  "( + ) + .F"->{
    Cell[9109, 308, 1179, 37, 47, "Conclusion",
      CellTags->"( + ) + .F"]},
  "( + ) + .S"->{
    Cell[12418, 435, 1785, 54, 70, "Conclusion",
      CellTags->"( + ) + .S"]},
  "( + ) + .S.IB"->{
    Cell[14665, 518, 1374, 42, 70, "Conclusion",
      CellTags->"( + ) + .S.IB"]},
  "( + ) + .S.IB.F"->{
    Cell[16289, 574, 936, 30, 70, "Conclusion",
      CellTags->"( + ) + .S.IB.F"]},
  "( + ) + .S.IH"->{
    Cell[20227, 747, 1659, 49, 70, "Assumption",
      CellTags->"( + ) + .S.IH"]},
  "( + ) + .S.IS"->{
    Cell[21967, 803, 1758, 52, 70, "Conclusion",
      CellTags->"( + ) + .S.IS"]},
  "( + ) + .S.IS.F"->{
    Cell[23975, 869, 1280, 40, 70, "Conclusion",
      CellTags->"( + ) + .S.IS.F"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"( + ) + ", 32498, 1193},
  {" + ", 32586, 1196},
  {"^++ ", 32671, 1199},
  {"0+ ", 32756, 1202},
  {" +0", 32839, 1205},
  {" +succ", 32925, 1208},
  {"( + ) + .F", 33019, 1211},
  {"( + ) + .S", 33117, 1214},
  {"( + ) + .S.IB", 33219, 1217},
  {"( + ) + .S.IB.F", 33326, 1220},
  {"( + ) + .S.IH", 33432, 1223},
  {"( + ) + .S.IS", 33537, 1226},
  {"( + ) + .S.IS.F", 33644, 1229}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 22, 0, 47, "Text"],
Cell[1756, 53, 1781, 54, 56, "Conclusion",
  CellTags->"( + ) + "],

Cell[CellGroupData[{
Cell[3562, 111, 38, 0, 47, "Text"],
Cell[3603, 113, 1162, 38, 56, "Assumption",
  CellTags->" + "],
Cell[4768, 153, 1318, 42, 56, "Assumption",
  CellTags->"^++ "],
Cell[6089, 197, 725, 25, 54, "Assumption",
  CellTags->"0+ "],
Cell[6817, 224, 725, 25, 54, "Assumption",
  CellTags->" +0"],
Cell[7545, 251, 1322, 42, 56, "Assumption",
  CellTags->" +succ"]
}, Open  ]],
Cell[8882, 296, 224, 10, 47, "Text"],
Cell[9109, 308, 1179, 37, 47, "Conclusion",
  CellTags->"( + ) + .F"],

Cell[CellGroupData[{
Cell[10313, 349, 32, 0, 47, "Text"],

Cell[CellGroupData[{
Cell[10370, 353, 47, 0, 47, "Text"],
Cell[10420, 355, 713, 28, 47, "Text"],
Cell[11136, 385, 564, 19, 70, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[11737, 409, 47, 0, 70, "Text"],
Cell[11787, 411, 564, 19, 70, "Text"]
}, Open  ]],
Cell[12366, 433, 49, 0, 70, "Text"],
Cell[12418, 435, 1785, 54, 70, "Conclusion",
  CellTags->"( + ) + .S"]
}, Open  ]],

Cell[CellGroupData[{
Cell[14240, 494, 365, 18, 70, "Text"],

Cell[CellGroupData[{
Cell[14630, 516, 32, 0, 70, "Text"],
Cell[14665, 518, 1374, 42, 70, "Conclusion",
  CellTags->"( + ) + .S.IB"],
Cell[16042, 562, 244, 10, 70, "Text"],
Cell[16289, 574, 936, 30, 70, "Conclusion",
  CellTags->"( + ) + .S.IB.F"],

Cell[CellGroupData[{
Cell[17250, 608, 228, 10, 70, "Text"],

Cell[CellGroupData[{
Cell[17503, 622, 47, 0, 70, "Text"],
Cell[17553, 624, 583, 24, 70, "Text"],
Cell[18139, 650, 507, 22, 70, "Text"],
Cell[18649, 674, 358, 13, 70, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[19044, 692, 47, 0, 70, "Text"],
Cell[19094, 694, 599, 24, 70, "Text"],
Cell[19696, 720, 358, 13, 70, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[20115, 740, 31, 0, 70, "Text"],
Cell[20149, 742, 75, 3, 70, "Text"],
Cell[20227, 747, 1659, 49, 70, "Assumption",
  CellTags->"( + ) + .S.IH"],
Cell[21889, 798, 75, 3, 70, "Text"],
Cell[21967, 803, 1758, 52, 70, "Conclusion",
  CellTags->"( + ) + .S.IS"],
Cell[23728, 857, 244, 10, 70, "Text"],
Cell[23975, 869, 1280, 40, 70, "Conclusion",
  CellTags->"( + ) + .S.IS.F"],

Cell[CellGroupData[{
Cell[25280, 913, 228, 10, 70, "Text"],

Cell[CellGroupData[{
Cell[25533, 927, 47, 0, 70, "Text"],
Cell[25583, 929, 755, 29, 70, "Text"],
Cell[26341, 960, 761, 29, 70, "Text"],
Cell[27105, 991, 763, 29, 70, "Text"],
Cell[27871, 1022, 769, 29, 70, "Text"],
Cell[28643, 1053, 681, 21, 70, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[29361, 1079, 47, 0, 70, "Text"],
Cell[29411, 1081, 753, 29, 70, "Text"],
Cell[30167, 1112, 850, 30, 70, "Text"],
Cell[31020, 1144, 681, 21, 70, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

