(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     38627,       1338]*)
(*NotebookOutlinePosition[     41249,       1428]*)
(*  CellTagsIndexPosition[     40777,       1408]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(l3+)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["b",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["g",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Delta]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"limit", "[", 
                RowBox[{
                  StyleBox["f",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["a",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["\[Delta]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}], "\[And]", 
              RowBox[{"limit", "[", 
                RowBox[{
                  StyleBox["g",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["b",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}], "\[Implies]", 
            RowBox[{"limit", "[", 
              RowBox[{
                RowBox[{
                  StyleBox["f",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[CirclePlus]", 
                  StyleBox["g",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ",", 
                RowBox[{
                  StyleBox["a",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox["b",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ",", 
                RowBox[{
                  StyleBox["\[Delta]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], "]"}]}], ")"}]}]], "Conclusion"],
  ","
}], "Conclusion",
  CellTags->"l3+"],

Cell[CellGroupData[{

Cell["under the assumptions:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(l3:)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"limit", "[", 
              RowBox[{
                StyleBox["f",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["a",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["\[Epsilon]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}], ":=", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{"limit", "[", 
                RowBox[{
                  StyleBox["f",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["a",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}]}], ")"}]}]], "Assumption"],
  ","
}], "Assumption",
  CellTags->"l3:"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(l4+)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["b",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["g",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["M",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Delta]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["N",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"limit", "[", 
                RowBox[{
                  StyleBox["f",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["a",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["\[Delta]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["M",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}], "\[And]", 
              RowBox[{"limit", "[", 
                RowBox[{
                  StyleBox["g",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["b",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}], "\[Implies]", 
            RowBox[{"limit", "[", 
              RowBox[{
                RowBox[{
                  StyleBox["f",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[CirclePlus]", 
                  StyleBox["g",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ",", 
                RowBox[{
                  StyleBox["a",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox["b",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ",", 
                RowBox[{
                  StyleBox["\[Delta]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ",", 
                RowBox[{"max", "[", 
                  RowBox[{
                    StyleBox["M",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["N",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "]"}]}], "]"}]}], ")"}]}]], 
    "Assumption"],
  "."
}], "Assumption",
  CellTags->"l4+"]
}, Open  ]],

Cell[TextData[{
  "For proving ",
  Cell[TextData[{
    "(",
    ButtonBox["l3+",
      ButtonData:>"l3+",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " we take all variables arbitrary but fixed and prove:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(l3+')", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"limit", "[", 
            RowBox[{
              StyleBox[\(f\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(a\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(\[Delta]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "]"}], "\[And]", 
          RowBox[{"limit", "[", 
            RowBox[{
              StyleBox[\(g\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(b\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "]"}]}], "\[Implies]", 
        RowBox[{"limit", "[", 
          RowBox[{
            RowBox[{
              StyleBox[\(f\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[CirclePlus]", 
              StyleBox[\(g\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ",", 
            RowBox[{
              StyleBox[\(a\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              StyleBox[\(b\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ",", 
            RowBox[{
              StyleBox[\(\[Delta]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], "]"}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"l3+'"],

Cell[TextData[{
  "We prove ",
  Cell[TextData[{
    "(",
    ButtonBox["l3+'",
      ButtonData:>"l3+'",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " by the deduction rule."
}], "Text"],

Cell["We assume", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(l3+'.A)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"limit", "[", 
          RowBox[{
            StyleBox[\(f\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(a\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(\[Delta]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}], "\[And]", 
        RowBox[{"limit", "[", 
          RowBox[{
            StyleBox[\(g\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(b\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}]}]], "Assumption"],
  " "
}], "Assumption",
  CellTags->"l3+'.A"],

Cell["and show", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(l3+'.C)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"limit", "[", 
        RowBox[{
          RowBox[{
            StyleBox[\(f\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[CirclePlus]", 
            StyleBox[\(g\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ",", 
          RowBox[{
            StyleBox[\(a\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+", 
            StyleBox[\(b\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ",", 
          RowBox[{
            StyleBox[\(\[Delta]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+", 
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}], "]"}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"l3+'.C"],

Cell[TextData[{
  "The conjunction ",
  Cell[TextData[{
    "(",
    ButtonBox["l3+'.A",
      ButtonData:>"l3+'.A",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " splits into ",
  Cell[TextData[{
    "(",
    ButtonBox["l3+'.A.1",
      ButtonData:>"l3+'.A.1",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", ",
  Cell[TextData[{
    "(",
    ButtonBox["l3+'.A.2",
      ButtonData:>"l3+'.A.2",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  "."
}], "Text"],

Cell[TextData[{
  "For proving ",
  Cell[TextData[{
    "(",
    ButtonBox["l3+'.C",
      ButtonData:>"l3+'.C",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", by the definition ",
  Cell[TextData[{
    "(",
    ButtonBox["l3:",
      ButtonData:>"l3:",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", it suffices to prove:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(l3+'.C')", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["N",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"limit", "[", 
          RowBox[{
            RowBox[{
              StyleBox[\(f\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[CirclePlus]", 
              StyleBox[\(g\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ",", 
            RowBox[{
              StyleBox[\(a\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              StyleBox[\(b\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ",", 
            RowBox[{
              StyleBox[\(\[Delta]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ",", 
            StyleBox["N",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"l3+'.C'"],

Cell[TextData[{
  "The formula ",
  Cell[TextData[{
    "(",
    ButtonBox["l3+'.A.1",
      ButtonData:>"l3+'.A.1",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is expanded by the definition ",
  Cell[TextData[{
    "(",
    ButtonBox["l3:",
      ButtonData:>"l3:",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " into:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(l3+'.A.1')", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["N",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"limit", "[", 
          RowBox[{
            StyleBox[\(f\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(a\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(\[Delta]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["N",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}]}]], "Assumption"],
  "."
}], "Assumption",
  CellTags->"l3+'.A.1'"],

Cell[TextData[{
  "By ",
  Cell[TextData[{
    "(",
    ButtonBox["l3+'.A.1'",
      ButtonData:>"l3+'.A.1'",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " we can take appropriate values such that:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(l3+'.A.1'')", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"limit", "[", 
        RowBox[{
          StyleBox[\(f\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ",", 
          StyleBox[\(a\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ",", 
          StyleBox[\(\[Delta]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ",", 
          StyleBox[\(N\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "]"}]], "Assumption"],
  "."
}], "Assumption",
  CellTags->"l3+'.A.1''"],

Cell[TextData[{
  "The formula ",
  Cell[TextData[{
    "(",
    ButtonBox["l3+'.A.2",
      ButtonData:>"l3+'.A.2",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is expanded by the definition ",
  Cell[TextData[{
    "(",
    ButtonBox["l3:",
      ButtonData:>"l3:",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " into:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(l3+'.A.2')", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["N",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"limit", "[", 
          RowBox[{
            StyleBox[\(g\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(b\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["N",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}]}]], "Assumption"],
  "."
}], "Assumption",
  CellTags->"l3+'.A.2'"],

Cell[TextData[{
  "By ",
  Cell[TextData[{
    "(",
    ButtonBox["l3+'.A.2'",
      ButtonData:>"l3+'.A.2'",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " we can take appropriate values such that:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(l3+'.A.2'')", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"limit", "[", 
        RowBox[{
          StyleBox[\(g\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ",", 
          StyleBox[\(b\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ",", 
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ",", 
          StyleBox[\(N\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "]"}]], "Assumption"],
  "."
}], "Assumption",
  CellTags->"l3+'.A.2''"],

Cell[TextData[{
  "Because a literal of the formula ",
  Cell[TextData[{
    "(",
    ButtonBox["l4+",
      ButtonData:>"l4+",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " matches the goal ",
  Cell[TextData[{
    "(",
    ButtonBox["l3+'.C'",
      ButtonData:>"l3+'.C'",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", we specialize it to:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(l3+'.C'')", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["M",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["N",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"limit", "[", 
                RowBox[{
                  StyleBox[\(f\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox[\(a\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox[\(\[Delta]\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["M",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}], "\[And]", 
              RowBox[{"limit", "[", 
                RowBox[{
                  StyleBox[\(g\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox[\(b\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox[\(\[Epsilon]\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}], "\[Implies]", 
            RowBox[{"limit", "[", 
              RowBox[{
                RowBox[{
                  StyleBox[\(f\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[CirclePlus]", 
                  StyleBox[\(g\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ",", 
                RowBox[{
                  StyleBox[\(a\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox[\(b\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ",", 
                RowBox[{
                  StyleBox[\(\[Delta]\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox[\(\[Epsilon]\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ",", 
                RowBox[{"max", "[", 
                  RowBox[{
                    StyleBox["M",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["N",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "]"}]}], "]"}]}], ")"}]}]], 
    "Assumption"],
  "."
}], "Assumption",
  CellTags->"l3+'.C''"],

Cell[TextData[{
  "For proving ",
  Cell[TextData[{
    "(",
    ButtonBox["l3+'.C'",
      ButtonData:>"l3+'.C'",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", by ",
  Cell[TextData[{
    "(",
    ButtonBox["l3+'.C''",
      ButtonData:>"l3+'.C''",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", it suffices to prove"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(l3+'.C'.A)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["M",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["N",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"limit", "[", 
              RowBox[{
                StyleBox[\(f\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(a\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(\[Delta]\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["M",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}], "\[And]", 
            RowBox[{"limit", "[", 
              RowBox[{
                StyleBox[\(g\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(b\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(\[Epsilon]\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["N",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}]}], ")"}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"l3+'.C'.A"],

Cell[CellGroupData[{

Cell[TextData[{
  "Because ",
  Cell[TextData[{
    "(",
    ButtonBox["l3+'.A.1''",
      ButtonData:>"l3+'.A.1''",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " matches a part of ",
  Cell[TextData[{
    "(",
    ButtonBox["l3+'.C'.A",
      ButtonData:>"l3+'.C'.A",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", we can proceed in several ways."
}], "Text"],

Cell[CellGroupData[{

Cell["Alternative proof 1: proved", "Text"],

Cell[TextData[{
  "For proving ",
  Cell[TextData[{
    "(",
    ButtonBox["l3+'.C'.A",
      ButtonData:>"l3+'.C'.A",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " it is sufficient to prove:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(l3+'.C'.A/2)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["N",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"limit", "[", 
              RowBox[{
                StyleBox[\(f\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(a\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(\[Delta]\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(N\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}], "\[And]", 
            RowBox[{"limit", "[", 
              RowBox[{
                StyleBox[\(g\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(b\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(\[Epsilon]\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["N",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}]}], ")"}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"l3+'.C'.A/2"],

Cell[CellGroupData[{

Cell[TextData[{
  "Because ",
  Cell[TextData[{
    "(",
    ButtonBox["l3+'.A.2''",
      ButtonData:>"l3+'.A.2''",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " matches a part of ",
  Cell[TextData[{
    "(",
    ButtonBox["l3+'.C'.A/2",
      ButtonData:>"l3+'.C'.A/2",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", we can proceed in several ways."
}], "Text"],

Cell[CellGroupData[{

Cell["Alternative proof 1: proved", "Text"],

Cell[TextData[{
  "For proving ",
  Cell[TextData[{
    "(",
    ButtonBox["l3+'.C'.A/2",
      ButtonData:>"l3+'.C'.A/2",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " it is sufficient to prove:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(l3+'.C'.A/2/1)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"limit", "[", 
          RowBox[{
            StyleBox[\(f\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(a\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(\[Delta]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(N\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}], "\[And]", 
        RowBox[{"limit", "[", 
          RowBox[{
            StyleBox[\(g\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(b\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(N\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"l3+'.C'.A/2/1"],

Cell[CellGroupData[{

Cell[TextData[{
  "We prove the individual conjunctive parts of ",
  Cell[TextData[{
    "(",
    ButtonBox["l3+'.C'.A/2/1",
      ButtonData:>"l3+'.C'.A/2/1",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ":"
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  Cell[TextData[{
    "(",
    ButtonBox["l3+'.C'.A/2/1.1",
      ButtonData:>"l3+'.C'.A/2/1.1",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"limit", "[", 
        RowBox[{
          StyleBox[\(f\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ",", 
          StyleBox[\(a\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ",", 
          StyleBox[\(\[Delta]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ",", 
          StyleBox[\(N\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "]"}]], "Expression",
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "Text"],

Cell[TextData[{
  "Formula ",
  Cell[TextData[{
    "(",
    ButtonBox["l3+'.C'.A/2/1.1",
      ButtonData:>"l3+'.C'.A/2/1.1",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is true because it is identical to ",
  Cell[TextData[{
    "(",
    ButtonBox["l3+'.A.1''",
      ButtonData:>"l3+'.A.1''",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  "."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  Cell[TextData[{
    "(",
    ButtonBox["l3+'.C'.A/2/1.2",
      ButtonData:>"l3+'.C'.A/2/1.2",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"limit", "[", 
        RowBox[{
          StyleBox[\(g\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ",", 
          StyleBox[\(b\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ",", 
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ",", 
          StyleBox[\(N\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "]"}]], "Expression",
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "Text"],

Cell[TextData[{
  "Formula ",
  Cell[TextData[{
    "(",
    ButtonBox["l3+'.C'.A/2/1.2",
      ButtonData:>"l3+'.C'.A/2/1.2",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is true because it is identical to ",
  Cell[TextData[{
    "(",
    ButtonBox["l3+'.A.2''",
      ButtonData:>"l3+'.A.2''",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  "."
}], "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Alternative proof 2: pending", "Text"],

Cell[TextData[Cell[TextData[{
  "Pending proof of ",
  Cell[TextData[{
    "(",
    ButtonBox["l3+'.C'.A/2",
      ButtonData:>"l3+'.C'.A/2",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  "."
}], "Text"]], "Text",
  Background->GrayLevel[0.659998]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Alternative proof 2: pending", "Text"],

Cell[TextData[Cell[TextData[{
  "Pending proof of ",
  Cell[TextData[{
    "(",
    ButtonBox["l3+'.C'.A",
      ButtonData:>"l3+'.C'.A",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  "."
}], "Text"]], "Text",
  Background->GrayLevel[0.659998]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"Microsoft Windows 3.0",
ScreenRectangle->{{0, 1024}, {0, 712}},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
WindowSize->{496, 604},
WindowMargins->{{252, Automatic}, {Automatic, 23}},
Visible->True,
Magnification->1.5,
StyleDefinitions -> "TheoremaProof.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "l3+"->{
    Cell[1756, 53, 3379, 94, 141, "Conclusion",
      CellTags->"l3+"]},
  "l3:"->{
    Cell[5201, 153, 2187, 63, 91, "Assumption",
      CellTags->"l3:"]},
  "l4+"->{
    Cell[7391, 218, 4379, 121, 191, "Assumption",
      CellTags->"l4+"]},
  "l3+'"->{
    Cell[12021, 354, 2279, 66, 119, "Conclusion",
      CellTags->"l3+'"]},
  "l3+'.A"->{
    Cell[14536, 436, 1155, 36, 73, "Assumption",
      CellTags->"l3+'.A"]},
  "l3+'.C"->{
    Cell[15721, 476, 1145, 36, 47, "Conclusion",
      CellTags->"l3+'.C"]},
  "l3+'.C'"->{
    Cell[17738, 562, 1551, 47, 54, "Conclusion",
      CellTags->"l3+'.C'"]},
  "l3+'.A.1'"->{
    Cell[19658, 631, 997, 32, 54, "Assumption",
      CellTags->"l3+'.A.1'"]},
  "l3+'.A.1''"->{
    Cell[20886, 677, 757, 25, 47, "Assumption",
      CellTags->"l3+'.A.1''"]},
  "l3+'.A.2'"->{
    Cell[22012, 724, 999, 32, 54, "Assumption",
      CellTags->"l3+'.A.2'"]},
  "l3+'.A.2''"->{
    Cell[23242, 770, 759, 25, 47, "Assumption",
      CellTags->"l3+'.A.2''"]},
  "l3+'.C''"->{
    Cell[24392, 817, 3623, 97, 167, "Assumption",
      CellTags->"l3+'.C''"]},
  "l3+'.C'.A"->{
    Cell[28382, 936, 1949, 56, 117, "Conclusion",
      CellTags->"l3+'.C'.A"]},
  "l3+'.C'.A/2"->{
    Cell[31039, 1032, 1828, 52, 113, "Conclusion",
      CellTags->"l3+'.C'.A/2"]},
  "l3+'.C'.A/2/1"->{
    Cell[33583, 1124, 1449, 44, 73, "Conclusion",
      CellTags->"l3+'.C'.A/2/1"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"l3+", 39355, 1359},
  {"l3:", 39439, 1362},
  {"l4+", 39523, 1365},
  {"l3+'", 39610, 1368},
  {"l3+'.A", 39700, 1371},
  {"l3+'.C", 39791, 1374},
  {"l3+'.C'", 39883, 1377},
  {"l3+'.A.1'", 39978, 1380},
  {"l3+'.A.1''", 40075, 1383},
  {"l3+'.A.2'", 40172, 1386},
  {"l3+'.A.2''", 40269, 1389},
  {"l3+'.C''", 40365, 1392},
  {"l3+'.C'.A", 40462, 1395},
  {"l3+'.C'.A/2", 40562, 1398},
  {"l3+'.C'.A/2/1", 40667, 1401}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 22, 0, 47, "Text"],
Cell[1756, 53, 3379, 94, 141, "Conclusion",
  CellTags->"l3+"],

Cell[CellGroupData[{
Cell[5160, 151, 38, 0, 47, "Text"],
Cell[5201, 153, 2187, 63, 91, "Assumption",
  CellTags->"l3:"],
Cell[7391, 218, 4379, 121, 191, "Assumption",
  CellTags->"l4+"]
}, Open  ]],
Cell[11785, 342, 233, 10, 73, "Text"],
Cell[12021, 354, 2279, 66, 119, "Conclusion",
  CellTags->"l3+'"],
Cell[14303, 422, 202, 10, 47, "Text"],
Cell[14508, 434, 25, 0, 47, "Text"],
Cell[14536, 436, 1155, 36, 73, "Assumption",
  CellTags->"l3+'.A"],
Cell[15694, 474, 24, 0, 47, "Text"],
Cell[15721, 476, 1145, 36, 47, "Conclusion",
  CellTags->"l3+'.C"],
Cell[16869, 514, 498, 26, 47, "Text"],
Cell[17370, 542, 365, 18, 73, "Text"],
Cell[17738, 562, 1551, 47, 54, "Conclusion",
  CellTags->"l3+'.C'"],
Cell[19292, 611, 363, 18, 73, "Text"],
Cell[19658, 631, 997, 32, 54, "Assumption",
  CellTags->"l3+'.A.1'"],
Cell[20658, 665, 225, 10, 47, "Text"],
Cell[20886, 677, 757, 25, 47, "Assumption",
  CellTags->"l3+'.A.1''"],
Cell[21646, 704, 363, 18, 73, "Text"],
Cell[22012, 724, 999, 32, 54, "Assumption",
  CellTags->"l3+'.A.2'"],
Cell[23014, 758, 225, 10, 47, "Text"],
Cell[23242, 770, 759, 25, 47, "Assumption",
  CellTags->"l3+'.A.2''"],
Cell[24004, 797, 385, 18, 73, "Text"],
Cell[24392, 817, 3623, 97, 167, "Assumption",
  CellTags->"l3+'.C''"],
Cell[28018, 916, 361, 18, 47, "Text"],
Cell[28382, 936, 1949, 56, 117, "Conclusion",
  CellTags->"l3+'.C'.A"],

Cell[CellGroupData[{
Cell[30356, 996, 390, 18, 73, "Text"],

Cell[CellGroupData[{
Cell[30771, 1018, 43, 0, 47, "Text"],
Cell[30817, 1020, 219, 10, 47, "Text"],
Cell[31039, 1032, 1828, 52, 113, "Conclusion",
  CellTags->"l3+'.C'.A/2"],

Cell[CellGroupData[{
Cell[32892, 1088, 394, 18, 73, "Text"],

Cell[CellGroupData[{
Cell[33311, 1110, 43, 0, 47, "Text"],
Cell[33357, 1112, 223, 10, 47, "Text"],
Cell[33583, 1124, 1449, 44, 73, "Conclusion",
  CellTags->"l3+'.C'.A/2/1"],

Cell[CellGroupData[{
Cell[35057, 1172, 234, 10, 73, "Text"],

Cell[CellGroupData[{
Cell[35316, 1186, 859, 31, 47, "Text"],
Cell[36178, 1219, 387, 18, 73, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[36602, 1242, 861, 31, 47, "Text"],
Cell[37466, 1275, 387, 18, 73, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[37914, 1300, 44, 0, 47, "Text"],
Cell[37961, 1302, 261, 11, 71, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[38283, 1320, 44, 0, 47, "Text"],
Cell[38330, 1322, 257, 11, 71, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

