(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     48307,       1625]*)
(*NotebookOutlinePosition[     51718,       1735]*)
(*  CellTagsIndexPosition[     51045,       1710]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(l4+)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["b",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["g",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["M",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Delta]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["N",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"limit", "[", 
                RowBox[{
                  StyleBox["f",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["a",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["\[Delta]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["M",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}], "\[And]", 
              RowBox[{"limit", "[", 
                RowBox[{
                  StyleBox["g",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["b",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}], "\[Implies]", 
            RowBox[{"limit", "[", 
              RowBox[{
                RowBox[{
                  StyleBox["f",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[CirclePlus]", 
                  StyleBox["g",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ",", 
                RowBox[{
                  StyleBox["a",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox["b",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ",", 
                RowBox[{
                  StyleBox["\[Delta]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ",", 
                RowBox[{"max", "[", 
                  RowBox[{
                    StyleBox["M",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["N",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "]"}]}], "]"}]}], ")"}]}]], 
    "Conclusion"],
  ","
}], "Conclusion",
  CellTags->"l4+"],

Cell[CellGroupData[{

Cell["under the assumptions:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(l4:)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["N",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"limit", "[", 
              RowBox[{
                StyleBox["f",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["a",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["\[Epsilon]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["N",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}], ":=", 
            RowBox[{
              UnderscriptBox["\[ForAll]", 
                RowBox[{
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[GreaterEqual]", 
                    StyleBox["N",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[Implies]", 
                  RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                      RowBox[{
                        RowBox[{
                          StyleBox["f",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "[", 
                          StyleBox["n",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "]"}], "-", 
                        StyleBox["a",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[RightBracketingBar]"}], 
                    "<", 
                    StyleBox["\[Epsilon]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}]}], ")"}]}]], 
    "Assumption"],
  ","
}], "Assumption",
  CellTags->"l4:"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData["(\[CirclePlus]:)"], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["g",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox["f",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[CirclePlus]", 
                  StyleBox["g",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "=", 
            RowBox[{
              RowBox[{
                StyleBox["f",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "+", 
              RowBox[{
                StyleBox["g",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}]}], ")"}]}]], "Assumption"],
  ","
}], "Assumption",
  CellTags->"\[CirclePlus]:"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData["(\[LeftBracketingBar]++\[RightBracketingBar])"], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["b",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Delta]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                StyleBox["\[Delta]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox["b",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                StyleBox["\[Epsilon]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "+", 
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], ")"}], "-", 
                  RowBox[{"(", 
                    RowBox[{
                      StyleBox["a",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "+", 
                      StyleBox["b",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], ")"}]}], 
                "\[RightBracketingBar]"}], "<", 
              RowBox[{
                StyleBox["\[Delta]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+", 
                StyleBox["\[Epsilon]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Assumption"],
  ","
}], "Assumption",
  CellTags->"\[LeftBracketingBar]++\[RightBracketingBar]"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(max:)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["M",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["M",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[GreaterEqual]", 
              RowBox[{"max", "[", 
                RowBox[{
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}], "\[Implies]", 
            RowBox[{
              RowBox[{
                StyleBox["M",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox["m",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                StyleBox["M",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Assumption"],
  "."
}], "Assumption",
  CellTags->"max:"]
}, Open  ]],

Cell[TextData[{
  "For proving ",
  Cell[TextData[{
    "(",
    ButtonBox["l4+",
      ButtonData:>"l4+",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " we take all variables arbitrary but fixed and prove:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(l4+')", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"limit", "[", 
            RowBox[{
              StyleBox[\(f\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(a\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(\[Delta]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(M\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "]"}], "\[And]", 
          RowBox[{"limit", "[", 
            RowBox[{
              StyleBox[\(g\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(b\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(N\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "]"}]}], "\[Implies]", 
        RowBox[{"limit", "[", 
          RowBox[{
            RowBox[{
              StyleBox[\(f\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[CirclePlus]", 
              StyleBox[\(g\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ",", 
            RowBox[{
              StyleBox[\(a\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              StyleBox[\(b\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ",", 
            RowBox[{
              StyleBox[\(\[Delta]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ",", 
            RowBox[{"max", "[", 
              RowBox[{
                StyleBox[\(M\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox[\(N\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}]}], "]"}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"l4+'"],

Cell[TextData[{
  "We prove ",
  Cell[TextData[{
    "(",
    ButtonBox["l4+'",
      ButtonData:>"l4+'",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " by the deduction rule."
}], "Text"],

Cell["We assume", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(l4+'.A)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"limit", "[", 
          RowBox[{
            StyleBox[\(f\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(a\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(\[Delta]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(M\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}], "\[And]", 
        RowBox[{"limit", "[", 
          RowBox[{
            StyleBox[\(g\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(b\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(N\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}]}]], "Assumption"],
  " "
}], "Assumption",
  CellTags->"l4+'.A"],

Cell["and show", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(l4+'.C)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"limit", "[", 
        RowBox[{
          RowBox[{
            StyleBox[\(f\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[CirclePlus]", 
            StyleBox[\(g\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ",", 
          RowBox[{
            StyleBox[\(a\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+", 
            StyleBox[\(b\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ",", 
          RowBox[{
            StyleBox[\(\[Delta]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+", 
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ",", 
          RowBox[{"max", "[", 
            RowBox[{
              StyleBox[\(M\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(N\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "]"}]}], "]"}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"l4+'.C"],

Cell[TextData[{
  "The conjunction ",
  Cell[TextData[{
    "(",
    ButtonBox["l4+'.A",
      ButtonData:>"l4+'.A",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " splits into ",
  Cell[TextData[{
    "(",
    ButtonBox["l4+'.A.1",
      ButtonData:>"l4+'.A.1",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", ",
  Cell[TextData[{
    "(",
    ButtonBox["l4+'.A.2",
      ButtonData:>"l4+'.A.2",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  "."
}], "Text"],

Cell[TextData[{
  "For proving ",
  Cell[TextData[{
    "(",
    ButtonBox["l4+'.C",
      ButtonData:>"l4+'.C",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", by the definition ",
  Cell[TextData[{
    "(",
    ButtonBox["l4:",
      ButtonData:>"l4:",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", it suffices to prove:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(l4+'.C')", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[GreaterEqual]", 
              RowBox[{"max", "[", 
                RowBox[{
                  StyleBox[\(M\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox[\(N\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{
                    RowBox[{"(", 
                      RowBox[{
                        StyleBox[\(f\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[CirclePlus]", 
                        StyleBox[\(g\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], ")"}], "[", 
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "-", 
                  RowBox[{"(", 
                    RowBox[{
                      StyleBox[\(a\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "+", 
                      StyleBox[\(b\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], ")"}]}], 
                "\[RightBracketingBar]"}], "<", 
              RowBox[{
                StyleBox[\(\[Delta]\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+", 
                StyleBox[\(\[Epsilon]\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"l4+'.C'"],

Cell[TextData[{
  "The formula ",
  Cell[TextData[{
    "(",
    ButtonBox["l4+'.A.1",
      ButtonData:>"l4+'.A.1",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is expanded by the definition ",
  Cell[TextData[{
    "(",
    ButtonBox["l4:",
      ButtonData:>"l4:",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " into:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(l4+'.A.1')", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[GreaterEqual]", 
              StyleBox[\(M\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{
                    StyleBox[\(f\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "[", 
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "-", 
                  StyleBox[\(a\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[RightBracketingBar]"}], "<", 
              StyleBox[\(\[Delta]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption"],
  "."
}], "Assumption",
  CellTags->"l4+'.A.1'"],

Cell[TextData[{
  "The formula ",
  Cell[TextData[{
    "(",
    ButtonBox["l4+'.A.2",
      ButtonData:>"l4+'.A.2",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is expanded by the definition ",
  Cell[TextData[{
    "(",
    ButtonBox["l4:",
      ButtonData:>"l4:",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " into:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(l4+'.A.2')", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[GreaterEqual]", 
              StyleBox[\(N\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{
                    StyleBox[\(g\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "[", 
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "-", 
                  StyleBox[\(b\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[RightBracketingBar]"}], "<", 
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption"],
  "."
}], "Assumption",
  CellTags->"l4+'.A.2'"],

Cell[TextData[{
  "For proving ",
  Cell[TextData[{
    "(",
    ButtonBox["l4+'.C'",
      ButtonData:>"l4+'.C'",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " we take all variables arbitrary but fixed and prove:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(l4+'.C'')", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[GreaterEqual]", 
          RowBox[{"max", "[", 
            RowBox[{
              StyleBox[\(M\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(N\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "]"}]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{
                RowBox[{"(", 
                  RowBox[{
                    StyleBox[\(f\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[CirclePlus]", 
                    StyleBox[\(g\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}], "[", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "-", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(a\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox[\(b\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}]}], "\[RightBracketingBar]"}], 
          "<", 
          RowBox[{
            StyleBox[\(\[Delta]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+", 
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"l4+'.C''"],

Cell[TextData[{
  "We prove ",
  Cell[TextData[{
    "(",
    ButtonBox["l4+'.C''",
      ButtonData:>"l4+'.C''",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " by the deduction rule."
}], "Text"],

Cell["We assume", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(l4+'.C''.A)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[GreaterEqual]", 
        RowBox[{"max", "[", 
          RowBox[{
            StyleBox[\(M\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(N\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}]}]], "Assumption"],
  " "
}], "Assumption",
  CellTags->"l4+'.C''.A"],

Cell["and show", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(l4+'.C''.C)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(f\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[CirclePlus]", 
                  StyleBox[\(g\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "[", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "-", 
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(a\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+", 
                StyleBox[\(b\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}]}], "\[RightBracketingBar]"}], 
        "<", 
        RowBox[{
          StyleBox[\(\[Delta]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+", 
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"l4+'.C''.C"],

Cell[TextData[{
  "Using ",
  Cell[TextData[{
    "(",
    ButtonBox["\[CirclePlus]",
      ButtonData:>"\[CirclePlus]:",
      ButtonStyle->"Hyperlink"],
    ButtonBox[":",
      ButtonData:>"\[CirclePlus]:",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", the goal ",
  Cell[TextData[{
    "(",
    ButtonBox["l4+'.C''.C",
      ButtonData:>"l4+'.C''.C",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is transformed into:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(l4+'.C''.C')", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  StyleBox[\(f\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "[", 
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "+", 
                RowBox[{
                  StyleBox[\(g\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "[", 
                  StyleBox[\(n\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], ")"}], "-", 
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(a\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+", 
                StyleBox[\(b\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}]}], "\[RightBracketingBar]"}], 
        "<", 
        RowBox[{
          StyleBox[\(\[Delta]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+", 
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"l4+'.C''.C'"],

Cell[TextData[{
  "For proving ",
  Cell[TextData[{
    "(",
    ButtonBox["l4+'.C''.C'",
      ButtonData:>"l4+'.C''.C'",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", by ",
  Cell[TextData[{
    "(",
    ButtonBox["\[LeftBracketingBar]",
      ButtonData:>"\[LeftBracketingBar]++\[RightBracketingBar]",
      ButtonStyle->"Hyperlink"],
    ButtonBox["++",
      ButtonData:>"\[LeftBracketingBar]++\[RightBracketingBar]",
      ButtonStyle->"Hyperlink"],
    ButtonBox["\[RightBracketingBar]",
      ButtonData:>"\[LeftBracketingBar]++\[RightBracketingBar]",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", it suffices to prove"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(l4+'.C''.C'.A)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{
                StyleBox[\(f\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "-", 
              StyleBox[\(a\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Delta]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{
                StyleBox[\(g\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "-", 
              StyleBox[\(b\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"l4+'.C''.C'.A"],

Cell[CellGroupData[{

Cell[TextData[{
  "We prove the individual conjunctive parts of ",
  Cell[TextData[{
    "(",
    ButtonBox["l4+'.C''.C'.A",
      ButtonData:>"l4+'.C''.C'.A",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ":"
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  Cell[TextData[{
    "(",
    ButtonBox["l4+'.C''.C'.A.1",
      ButtonData:>"l4+'.C''.C'.A.1",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{
            RowBox[{
              StyleBox[\(f\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "[", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "-", 
            StyleBox[\(a\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[RightBracketingBar]"}], "<", 
        StyleBox[\(\[Delta]\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression",
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "Text"],

Cell[TextData[{
  "For proving ",
  Cell[TextData[{
    "(",
    ButtonBox["l4+'.C''.C'.A.1",
      ButtonData:>"l4+'.C''.C'.A.1",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", by ",
  Cell[TextData[{
    "(",
    ButtonBox["l4+'.A.1'",
      ButtonData:>"l4+'.A.1'",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", it suffices to prove"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(l4+'.C''.C'.A.1.A)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[GreaterEqual]", 
        StyleBox[\(M\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"l4+'.C''.C'.A.1.A"],

Cell[TextData[{
  "From ",
  Cell[TextData[{
    "(",
    ButtonBox["l4+'.C''.A",
      ButtonData:>"l4+'.C''.A",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", by ",
  Cell[TextData[{
    "(",
    ButtonBox["max:",
      ButtonData:>"max:",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", we obtain:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(max:/1)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[GreaterEqual]", 
          StyleBox[\(M\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[GreaterEqual]", 
          StyleBox[\(N\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption"],
  "."
}], "Assumption",
  CellTags->"max:/1"],

Cell[TextData[{
  "The conjunction ",
  Cell[TextData[{
    "(",
    ButtonBox["max:/1",
      ButtonData:>"max:/1",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " splits into ",
  Cell[TextData[{
    "(",
    ButtonBox["max:/1.1",
      ButtonData:>"max:/1.1",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", ",
  Cell[TextData[{
    "(",
    ButtonBox["max:/1.2",
      ButtonData:>"max:/1.2",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  Cell[TextData[{
    "(",
    ButtonBox["l4+'.C''.C'.A.1.A",
      ButtonData:>"l4+'.C''.C'.A.1.A",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is true because it is identical to ",
  Cell[TextData[{
    "(",
    ButtonBox["max:/1.1",
      ButtonData:>"max:/1.1",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  "."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  Cell[TextData[{
    "(",
    ButtonBox["l4+'.C''.C'.A.2",
      ButtonData:>"l4+'.C''.C'.A.2",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{
            RowBox[{
              StyleBox[\(g\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "[", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "-", 
            StyleBox[\(b\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[RightBracketingBar]"}], "<", 
        StyleBox[\(\[Epsilon]\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression",
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "Text"],

Cell[TextData[{
  "For proving ",
  Cell[TextData[{
    "(",
    ButtonBox["l4+'.C''.C'.A.2",
      ButtonData:>"l4+'.C''.C'.A.2",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", by ",
  Cell[TextData[{
    "(",
    ButtonBox["l4+'.A.2'",
      ButtonData:>"l4+'.A.2'",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", it suffices to prove"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(l4+'.C''.C'.A.2.A)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[GreaterEqual]", 
        StyleBox[\(N\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"l4+'.C''.C'.A.2.A"],

Cell[TextData[{
  "From ",
  Cell[TextData[{
    "(",
    ButtonBox["l4+'.C''.A",
      ButtonData:>"l4+'.C''.A",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", by ",
  Cell[TextData[{
    "(",
    ButtonBox["max:",
      ButtonData:>"max:",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", we obtain:"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(max:/13)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[GreaterEqual]", 
          StyleBox[\(M\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[GreaterEqual]", 
          StyleBox[\(N\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption"],
  "."
}], "Assumption",
  CellTags->"max:/13"],

Cell[TextData[{
  "The conjunction ",
  Cell[TextData[{
    "(",
    ButtonBox["max:/13",
      ButtonData:>"max:/13",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " splits into ",
  Cell[TextData[{
    "(",
    ButtonBox["max:/13.1",
      ButtonData:>"max:/13.1",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ", ",
  Cell[TextData[{
    "(",
    ButtonBox["max:/13.2",
      ButtonData:>"max:/13.2",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  "."
}], "Text"],

Cell[TextData[{
  "Formula ",
  Cell[TextData[{
    "(",
    ButtonBox["l4+'.C''.C'.A.2.A",
      ButtonData:>"l4+'.C''.C'.A.2.A",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is true because it is identical to ",
  Cell[TextData[{
    "(",
    ButtonBox["max:/13.2",
      ButtonData:>"max:/13.2",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  "."
}], "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"Microsoft Windows 3.0",
ScreenRectangle->{{0, 1024}, {0, 712}},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
WindowSize->{496, 604},
WindowMargins->{{252, Automatic}, {Automatic, 23}},
Visible->True,
Magnification->1.5,
StyleDefinitions -> "TheoremaProof.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "l4+"->{
    Cell[1756, 53, 4379, 121, 191, "Conclusion",
      CellTags->"l4+"]},
  "l4:"->{
    Cell[6201, 180, 3154, 86, 93, "Assumption",
      CellTags->"l4:"]},
  "\[CirclePlus]:"->{
    Cell[9358, 268, 1961, 58, 56, "Assumption",
      CellTags->"\[CirclePlus]:"]},
  "\[LeftBracketingBar]++\[RightBracketingBar]"->{
    Cell[11322, 328, 3797, 100, 81, "Assumption",
      CellTags->"\[LeftBracketingBar]++\[RightBracketingBar]"]},
  "max:"->{
    Cell[15122, 430, 1967, 58, 56, "Assumption",
      CellTags->"max:"]},
  "l4+'"->{
    Cell[17340, 503, 2952, 84, 70, "Conclusion",
      CellTags->"l4+'"]},
  "l4+'.A"->{
    Cell[20528, 603, 1435, 44, 70, "Assumption",
      CellTags->"l4+'.A"]},
  "l4+'.C"->{
    Cell[21993, 651, 1502, 46, 70, "Conclusion",
      CellTags->"l4+'.C"]},
  "l4+'.C'"->{
    Cell[24367, 747, 2595, 69, 70, "Conclusion",
      CellTags->"l4+'.C'"]},
  "l4+'.A.1'"->{
    Cell[27331, 838, 1579, 45, 70, "Assumption",
      CellTags->"l4+'.A.1'"]},
  "l4+'.A.2'"->{
    Cell[29279, 905, 1581, 45, 70, "Assumption",
      CellTags->"l4+'.A.2'"]},
  "l4+'.C''"->{
    Cell[31107, 964, 2149, 61, 70, "Conclusion",
      CellTags->"l4+'.C''"]},
  "l4+'.C''.A"->{
    Cell[33500, 1041, 659, 22, 70, "Assumption",
      CellTags->"l4+'.C''.A"]},
  "l4+'.C''.C"->{
    Cell[34189, 1067, 1529, 45, 70, "Conclusion",
      CellTags->"l4+'.C''.C"]},
  "l4+'.C''.C'"->{
    Cell[36189, 1137, 1731, 50, 70, "Conclusion",
      CellTags->"l4+'.C''.C'"]},
  "l4+'.C''.C'.A"->{
    Cell[38597, 1215, 1679, 48, 70, "Conclusion",
      CellTags->"l4+'.C''.C'.A"]},
  "l4+'.C''.C'.A.1.A"->{
    Cell[41915, 1336, 460, 16, 70, "Conclusion",
      CellTags->"l4+'.C''.C'.A.1.A"]},
  "max:/1"->{
    Cell[42723, 1374, 775, 26, 70, "Assumption",
      CellTags->"max:/1"]},
  "l4+'.C''.C'.A.2.A"->{
    Cell[45783, 1508, 460, 16, 70, "Conclusion",
      CellTags->"l4+'.C''.C'.A.2.A"]},
  "max:/13"->{
    Cell[46591, 1546, 777, 26, 70, "Assumption",
      CellTags->"max:/13"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"l4+", 49035, 1646},
  {"l4:", 49120, 1649},
  {"\[CirclePlus]:", 49215, 1652},
  {"\[LeftBracketingBar]++\[RightBracketingBar]", 49350, 1655},
  {"max:", 49477, 1658},
  {"l4+'", 49564, 1661},
  {"l4+'.A", 49653, 1664},
  {"l4+'.C", 49744, 1667},
  {"l4+'.C'", 49836, 1670},
  {"l4+'.A.1'", 49931, 1673},
  {"l4+'.A.2'", 50028, 1676},
  {"l4+'.C''", 50124, 1679},
  {"l4+'.C''.A", 50221, 1682},
  {"l4+'.C''.C", 50320, 1685},
  {"l4+'.C''.C'", 50421, 1688},
  {"l4+'.C''.C'.A", 50525, 1691},
  {"l4+'.C''.C'.A.1.A", 50635, 1694},
  {"max:/1", 50737, 1697},
  {"l4+'.C''.C'.A.2.A", 50839, 1700},
  {"max:/13", 50942, 1703}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 22, 0, 47, "Text"],
Cell[1756, 53, 4379, 121, 191, "Conclusion",
  CellTags->"l4+"],

Cell[CellGroupData[{
Cell[6160, 178, 38, 0, 47, "Text"],
Cell[6201, 180, 3154, 86, 93, "Assumption",
  CellTags->"l4:"],
Cell[9358, 268, 1961, 58, 56, "Assumption",
  CellTags->"\[CirclePlus]:"],
Cell[11322, 328, 3797, 100, 81, "Assumption",
  CellTags->"\[LeftBracketingBar]++\[RightBracketingBar]"],
Cell[15122, 430, 1967, 58, 56, "Assumption",
  CellTags->"max:"]
}, Open  ]],
Cell[17104, 491, 233, 10, 73, "Text"],
Cell[17340, 503, 2952, 84, 70, "Conclusion",
  CellTags->"l4+'"],
Cell[20295, 589, 202, 10, 70, "Text"],
Cell[20500, 601, 25, 0, 70, "Text"],
Cell[20528, 603, 1435, 44, 70, "Assumption",
  CellTags->"l4+'.A"],
Cell[21966, 649, 24, 0, 70, "Text"],
Cell[21993, 651, 1502, 46, 70, "Conclusion",
  CellTags->"l4+'.C"],
Cell[23498, 699, 498, 26, 70, "Text"],
Cell[23999, 727, 365, 18, 70, "Text"],
Cell[24367, 747, 2595, 69, 70, "Conclusion",
  CellTags->"l4+'.C'"],
Cell[26965, 818, 363, 18, 70, "Text"],
Cell[27331, 838, 1579, 45, 70, "Assumption",
  CellTags->"l4+'.A.1'"],
Cell[28913, 885, 363, 18, 70, "Text"],
Cell[29279, 905, 1581, 45, 70, "Assumption",
  CellTags->"l4+'.A.2'"],
Cell[30863, 952, 241, 10, 70, "Text"],
Cell[31107, 964, 2149, 61, 70, "Conclusion",
  CellTags->"l4+'.C''"],
Cell[33259, 1027, 210, 10, 70, "Text"],
Cell[33472, 1039, 25, 0, 70, "Text"],
Cell[33500, 1041, 659, 22, 70, "Assumption",
  CellTags->"l4+'.C''.A"],
Cell[34162, 1065, 24, 0, 70, "Text"],
Cell[34189, 1067, 1529, 45, 70, "Conclusion",
  CellTags->"l4+'.C''.C"],
Cell[35721, 1114, 465, 21, 70, "Text"],
Cell[36189, 1137, 1731, 50, 70, "Conclusion",
  CellTags->"l4+'.C''.C'"],
Cell[37923, 1189, 671, 24, 70, "Text"],
Cell[38597, 1215, 1679, 48, 70, "Conclusion",
  CellTags->"l4+'.C''.C'.A"],

Cell[CellGroupData[{
Cell[40301, 1267, 234, 10, 70, "Text"],

Cell[CellGroupData[{
Cell[40560, 1281, 970, 33, 70, "Text"],
Cell[41533, 1316, 379, 18, 70, "Text"],
Cell[41915, 1336, 460, 16, 70, "Conclusion",
  CellTags->"l4+'.C''.C'.A.1.A"],
Cell[42378, 1354, 342, 18, 70, "Text"],
Cell[42723, 1374, 775, 26, 70, "Assumption",
  CellTags->"max:/1"],
Cell[43501, 1402, 498, 26, 70, "Text"],
Cell[44002, 1430, 387, 18, 70, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[44426, 1453, 972, 33, 70, "Text"],
Cell[45401, 1488, 379, 18, 70, "Text"],
Cell[45783, 1508, 460, 16, 70, "Conclusion",
  CellTags->"l4+'.C''.C'.A.2.A"],
Cell[46246, 1526, 342, 18, 70, "Text"],
Cell[46591, 1546, 777, 26, 70, "Assumption",
  CellTags->"max:/13"],
Cell[47371, 1574, 504, 26, 70, "Text"],
Cell[47878, 1602, 389, 18, 70, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

