(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     25222,        717]*)
(*NotebookOutlinePosition[     26832,        771]*)
(*  CellTagsIndexPosition[     26588,        760]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(f=0)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    RowBox[{"(", 
                      RowBox[{
                        RowBox[{
                          SuperscriptBox[
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "3"], "*", 
                          SuperscriptBox[
                            StyleBox["y",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "4"]}], "+", \(27*xy\^3\)}], 
                      ")"}], "-", 
                    RowBox[{"15", "*", 
                      SuperscriptBox[
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "3"]}]}], "=", "0"}], ")"}], 
              "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    RowBox[{"(", 
                      RowBox[{
                        RowBox[{\(1\/5\), "*", 
                          SuperscriptBox[
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "2"], "*", 
                          StyleBox["y",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "-", 
                        RowBox[{"23", "*", 
                          StyleBox["x",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "*", 
                          StyleBox["y",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}]}], ")"}], "+", "17"}], "=", 
                  "0"}], ")"}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  RowBox[{"225", "*", 
                    SuperscriptBox[
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "3"]}], "+", 
                  \(\((\(-405\))\)*xy\^3\), "+", 
                  RowBox[{"255", "*", 
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "+", 
                  RowBox[{\((\(-15\))\), "*", 
                    SuperscriptBox[
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "4"], "*", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "+", 
                  RowBox[{"27", "*", 
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", \(xy\^3\), "*", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "+", 
                  RowBox[{\((\(-328\))\), "*", 
                    SuperscriptBox[
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "*", 
                    SuperscriptBox[
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}], "+", 
                  RowBox[{"3", "*", 
                    SuperscriptBox[
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "3"], "*", 
                    SuperscriptBox[
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}], "+", 
                  RowBox[{\((\(-23\))\), "*", 
                    SuperscriptBox[
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "3"], "*", 
                    SuperscriptBox[
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "3"]}], "+", 
                  FractionBox[
                    RowBox[{
                      SuperscriptBox[
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "4"], "*", 
                      SuperscriptBox[
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "3"]}], "5"], "+", 
                  RowBox[{\((\(-15\))\), "*", 
                    SuperscriptBox[
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "3"], "*", 
                    SuperscriptBox[
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "4"]}], "+", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "4"], "*", 
                    SuperscriptBox[
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "5"]}]}], "=", "0"}], ")"}]}], 
          ")"}]}]], "Conclusion"],
  ","
}], "Conclusion",
  CellTags->"f=0"],

Cell["with no assumptions.", "Text"],

Cell[CellGroupData[{

Cell["Proved.", "Text"],

Cell["\<\
The Theorem is proved by the Groebner Bases method.      

      The formula in the scope of the universal quantifier is transformed \
into an equivalent formula that is a conjunction of disjunctions of \
equalities and negated equalities. The universal quantifier can then be \
distributed over the individual parts of the conjunction. By this, we obtain:\
\
\>", "Text"],

Cell[CellGroupData[{

Cell["Independent proof problems:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(f=0.1)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{\(\[ForAll] \+\(x, y\)\), 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                RowBox[{\(\(-405\)*xy\^3\), "+", 
                  RowBox[{"225", "*", 
                    SuperscriptBox[
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "3"]}], "+", 
                  RowBox[{"255", "*", 
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "+", 
                  RowBox[{"27", "*", \(xy\^3\), "*", 
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "+", 
                  RowBox[{\(-15\), "*", 
                    SuperscriptBox[
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "4"], "*", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "+", 
                  RowBox[{\(-328\), "*", 
                    SuperscriptBox[
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "*", 
                    SuperscriptBox[
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}], "+", 
                  RowBox[{"3", "*", 
                    SuperscriptBox[
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "3"], "*", 
                    SuperscriptBox[
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}], "+", 
                  RowBox[{\(-23\), "*", 
                    SuperscriptBox[
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "3"], "*", 
                    SuperscriptBox[
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "3"]}], "+", 
                  RowBox[{\(1\/5\), "*", 
                    SuperscriptBox[
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "4"], "*", 
                    SuperscriptBox[
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "3"]}], "+", 
                  RowBox[{\(-15\), "*", 
                    SuperscriptBox[
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "3"], "*", 
                    SuperscriptBox[
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "4"]}], "+", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "4"], "*", 
                    SuperscriptBox[
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "5"]}]}], "=", "0"}], ")"}], 
            "\[Or]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{\(27*xy\^3\), "+", 
                  RowBox[{\(-15\), "*", 
                    SuperscriptBox[
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "3"]}], "+", 
                  RowBox[{
                    SuperscriptBox[
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "3"], "*", 
                    SuperscriptBox[
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "4"]}]}], "\[NotEqual]", "0"}], 
              ")"}], "\[Or]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"17", "+", 
                  RowBox[{\(-23\), "*", 
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "+", 
                  RowBox[{\(1\/5\), "*", 
                    SuperscriptBox[
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"], "*", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], "\[NotEqual]", "0"}], ")"}]}], 
          ")"}]}]], "Conclusion"],
  " "
}], "Conclusion",
  CellTags->"f=0.1"]
}, Open  ]],

Cell[CellGroupData[{

Cell["We now prove the above individual problems separately:", "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  Cell[TextData[{
    "(",
    ButtonBox["f=0.1",
      ButtonData:>"f=0.1",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  ":"
}], "Text"],

Cell["This proof problem has the following structure:", "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(f=0.1.structure)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\[ForAll] \+\(x, y\)\((
          \((Poly[1] \[NotEqual] 0)\) \[Or] \((Poly[2] \[NotEqual] 0)\) \[Or] 
            \((Poly[3] = 0)\))\)\)], "Conclusion"],
  ","
}], "Conclusion",
  CellTags->"f=0.1.structure"],

Cell["where", "Text"],

Cell[TextData[Cell[BoxData[GridBox[{
        {\(Poly[1]\  = \), 
          RowBox[{"17", "+", 
            RowBox[{\(-23\), "*", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "+", 
            RowBox[{\(1\/5\), "*", 
              SuperscriptBox[
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "*", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}]},
        {\(Poly[2]\  = \), 
          RowBox[{\(27*xy\^3\), "+", 
            RowBox[{\(-15\), "*", 
              SuperscriptBox[
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "3"]}], "+", 
            RowBox[{
              SuperscriptBox[
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "3"], "*", 
              SuperscriptBox[
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "4"]}]}]},
        {\(Poly[3]\  = \), 
          RowBox[{\(\(-405\)*xy\^3\), "+", 
            RowBox[{"225", "*", 
              SuperscriptBox[
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "3"]}], "+", 
            RowBox[{"255", "*", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "+", 
            RowBox[{"27", "*", \(xy\^3\), "*", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "*", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "+", 
            RowBox[{\(-15\), "*", 
              SuperscriptBox[
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "4"], "*", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "+", 
            RowBox[{\(-328\), "*", 
              SuperscriptBox[
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], "*", 
              SuperscriptBox[
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}], "+", 
            RowBox[{"3", "*", 
              SuperscriptBox[
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "3"], "*", 
              SuperscriptBox[
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}], "+", 
            RowBox[{\(-23\), "*", 
              SuperscriptBox[
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "3"], "*", 
              SuperscriptBox[
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "3"]}], "+", 
            RowBox[{\(1\/5\), "*", 
              SuperscriptBox[
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "4"], "*", 
              SuperscriptBox[
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "3"]}], "+", 
            RowBox[{\(-15\), "*", 
              SuperscriptBox[
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "3"], "*", 
              SuperscriptBox[
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "4"]}], "+", 
            RowBox[{
              SuperscriptBox[
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "4"], "*", 
              SuperscriptBox[
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "5"]}]}]}
        },
      ColumnAlignments->{Left}]]]], "Text"],

Cell[TextData[{
  Cell[TextData[{
    "(",
    ButtonBox["f=0.1.structure",
      ButtonData:>"f=0.1.structure",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is equivalent to"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(f=0.1.implication)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\[ForAll] \+\(x, y\)\((
          \((Poly[1] = 0)\) \[And] \((Poly[2] = 0)\) \[Implies] 
            \((Poly[3] = 0)\))\)\)], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"f=0.1.implication"],

Cell[TextData[{
  Cell[TextData[{
    "(",
    ButtonBox["f=0.1.implication",
      ButtonData:>"f=0.1.implication",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is equivalent to"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(f=0.1.not-exists)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\[NotExists] \+\(x, y\)\((
          \((\((Poly[1] = 0)\) \[And] \((Poly[2] = 0)\))\) \[And] 
            \((Poly[3] \[NotEqual] 0)\))\)\)], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"f=0.1.not-exists"],

Cell["By introducing the slack variable(s)", "Text"],

Cell[TextData["{\[Xi]}"], "Text"],

Cell[TextData[{
  Cell[TextData[{
    "(",
    ButtonBox["f=0.1.not-exists",
      ButtonData:>"f=0.1.not-exists",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is transformed into the equivalent formula"
}], "Text"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell["(f=0.1.not-exists-slack)", "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\[NotExists] \+\(x, y, \[Xi]\)\((
          \((\((Poly[1] = 0)\) \[And] \((Poly[2] = 0)\))\) \[And] 
            \((\(-1\) + \[Xi]\ Poly[3] = 0)\))\)\)], "Conclusion"],
  "."
}], "Conclusion",
  CellTags->"f=0.1.not-exists-slack"],

Cell["\<\
Hence, we see that the proof problem is transformed into the question on \
whether or not a system of polynomial equations has a solution or not. This \
question can be answered by checking whether or not the (reduced) Groebner \
basis of\
\>", "Text"],

Cell[TextData[Cell[BoxData[
    \({Poly[1], Poly[2], \(-1\) + \[Xi]\ Poly[3]}\)]]], "Text"],

Cell["\<\
is exactly {1}.                  

Hence, we compute the Groebner basis for the following polynomial list:\
\>", "Text"],

Cell[TextData[Cell[BoxData[
    \({\(-1\) + 225\ x\^3\ \[Xi] + \(-405\)\ xy\^3\ \[Xi] + 
        255\ x\ y\ \[Xi] + \(-15\)\ x\^4\ y\ \[Xi] + 27\ x\ xy\^3\ y\ \[Xi] + 
        \(-328\)\ x\^2\ y\^2\ \[Xi] + 3\ x\^3\ y\^2\ \[Xi] + 
        \(-23\)\ x\^3\ y\^3\ \[Xi] + 1\/5\ x\^4\ y\^3\ \[Xi] + 
        \(-15\)\ x\^3\ y\^4\ \[Xi] + x\^4\ y\^5\ \[Xi], 
      \(-15\)\ x\^3 + 27\ xy\^3 + x\^3\ y\^4, 
      17 + \(-23\)\ x\ y + \(x\^2\ y\)\/5}\)]]], "Text"],

Cell["The Groebner basis:", "Text"],

Cell[TextData[Cell[BoxData[
    \({1}\)]]], "Text"],

Cell[TextData[{
  "Hence, ",
  Cell[TextData[{
    "(",
    ButtonBox["f=0.1",
      ButtonData:>"f=0.1",
      ButtonStyle->"Hyperlink"],
    ")"
  }], "Label"],
  " is ",
  "proved."
}], "Text"]
}, Open  ]]
}, Open  ]],

Cell["\<\
Since all of the individual subtheorems are proved, the original formula is \
proved.\
\>", "Text"]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"Microsoft Windows 3.0",
ScreenRectangle->{{0, 1024}, {0, 712}},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
WindowSize->{996, 646},
WindowMargins->{{2, Automatic}, {Automatic, 2}},
Visible->True,
Magnification->1.5,
StyleDefinitions -> "TheoremaProof.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "f=0"->{
    Cell[1756, 53, 7252, 176, 285, "Conclusion",
      CellTags->"f=0"]},
  "f=0.1"->{
    Cell[9551, 251, 6481, 158, 277, "Conclusion",
      CellTags->"f=0.1"]},
  "f=0.1.structure"->{
    Cell[16415, 432, 330, 10, 57, "Conclusion",
      CellTags->"f=0.1.structure"]},
  "f=0.1.implication"->{
    Cell[22266, 603, 320, 10, 57, "Conclusion",
      CellTags->"f=0.1.implication"]},
  "f=0.1.not-exists"->{
    Cell[22799, 626, 333, 10, 60, "Conclusion",
      CellTags->"f=0.1.not-exists"]},
  "f=0.1.not-exists-slack"->{
    Cell[23460, 653, 358, 10, 60, "Conclusion",
      CellTags->"f=0.1.not-exists-slack"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"f=0", 25947, 738},
  {"f=0.1", 26034, 741},
  {"f=0.1.structure", 26134, 744},
  {"f=0.1.implication", 26244, 747},
  {"f=0.1.not-exists", 26355, 750},
  {"f=0.1.not-exists-slack", 26471, 753}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 22, 0, 47, "Text"],
Cell[1756, 53, 7252, 176, 285, "Conclusion",
  CellTags->"f=0"],
Cell[9011, 231, 36, 0, 47, "Text"],

Cell[CellGroupData[{
Cell[9072, 235, 23, 0, 47, "Text"],
Cell[9098, 237, 382, 8, 151, "Text"],

Cell[CellGroupData[{
Cell[9505, 249, 43, 0, 47, "Text"],
Cell[9551, 251, 6481, 158, 277, "Conclusion",
  CellTags->"f=0.1"]
}, Open  ]],

Cell[CellGroupData[{
Cell[16069, 414, 70, 0, 47, "Text"],

Cell[CellGroupData[{
Cell[16164, 418, 182, 10, 47, "Text"],
Cell[16349, 430, 63, 0, 47, "Text"],
Cell[16415, 432, 330, 10, 57, "Conclusion",
  CellTags->"f=0.1.structure"],
Cell[16748, 444, 21, 0, 47, "Text"],
Cell[16772, 446, 5285, 144, 108, "Text"],
Cell[22060, 592, 203, 9, 47, "Text"],
Cell[22266, 603, 320, 10, 57, "Conclusion",
  CellTags->"f=0.1.implication"],
Cell[22589, 615, 207, 9, 47, "Text"],
Cell[22799, 626, 333, 10, 60, "Conclusion",
  CellTags->"f=0.1.not-exists"],
Cell[23135, 638, 52, 0, 47, "Text"],
Cell[23190, 640, 33, 0, 47, "Text"],
Cell[23226, 642, 231, 9, 47, "Text"],
Cell[23460, 653, 358, 10, 60, "Conclusion",
  CellTags->"f=0.1.not-exists-slack"],
Cell[23821, 665, 262, 5, 73, "Text"],
Cell[24086, 672, 91, 1, 41, "Text"],
Cell[24180, 675, 130, 4, 99, "Text"],
Cell[24313, 681, 454, 7, 116, "Text"],
Cell[24770, 690, 35, 0, 47, "Text"],
Cell[24808, 692, 51, 1, 41, "Text"],
Cell[24862, 695, 196, 11, 47, "Text"]
}, Open  ]]
}, Open  ]],
Cell[25085, 710, 109, 3, 47, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

